*******************************************
***  Firenze G. Ruggiero 4/8/2009       ***
***                                     ***
***  Layout   apparatus for beam test   ***
***  Revisione secono beatch  7 aprile 2010 ***
*** revision aprile 2012   gmp
*******************************************
**********************************************
************  A P P A R A T U S  *************
**********************************************


*************************************************************************
*************** B E G I N   B E A M   O P T I C S ***********************
*************************************************************************
device  rettcil          *** Cu collimator 
nome     XCH0   K0
**writeout
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali Cu Air 
cface     0.0      0.0       30.0
dtin      1.5      1.5       95.
totout    15.0    25.0       95.
registra   no
end

device  rettcil          *** Fe collimator 
nome     XCHA   KA
flags    dump
**writeout
detect   mup
detect   mum
detect   all dump 
materiali Fe  Air
cface     0.0      0.0       130.0
dtin      2.0      2.0       30.
totout    25.0     46.0      30.
registra   no
end

device   rettangolo          
nome     ALUM1     AlW1
flags    none
detect   char 
materiali  Alce   Alce 
cface     0.0       0.0    168.44
totout    120.      120.   0.04
registra   no
end

device  rettcil
nome     TCX03   K3
**writeout
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0    0.0      168.5    
dtin     2.8    2.8      161.5   
totout   80.0   80.0     161.5    
registra   no
end



**********************************
*** BEGIN FOCUSING QUADRUPOLES ***
********************************** 

device   quadrupole
nome     QNR5    Q1
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0       375.0
vfield   -1432.8733   1.0         
sizein    2.75      2.75      149.5 
sizeout   30.0      40.0      149.5
registra   no
end

device   quadrupole
nome     QNR9     Q2
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0       718.0
vfield   3167.5633    1.0 
sizein   2.75       2.75     149.5
sizeout  30.0       40.0     149.5
registra   no
end


**********************************
*** qui c'è un trim ??????????????????? 1062.5
***A   campo 0
********************************** 

device   quadrupole
nome     QNR13    Q3
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      1138.0
vfield   -2353.7767   1.0
sizein    2.75      2.75    149.5
sizeout   30.0      40.0    149.5
registra   no
end
**********************************
*** END FOCUSING QUADRUPOLES ***
********************************** 


************************
*** BEGIN ACHROMAT 1 ***
************************ 
device   magnete
nome     Mtr17  MT17
***writeout
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0       0.0      1496.0
field    -18201.0   0.0      0.0   
sizein   1.8      9.0       180.
sizeout  34.5     60.0      180.   
registra   no
end

device   magnete
nome     Mtr21    MT21
flags    magn
***writeout
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0       0.0      1916.0
field    18201.0   0.0      0.0 
sizein   1.8      14.75     180.
sizeout  34.5     60.0     180.
registra   no
end

device   rettangolo          
nome     ALUM2     Al2
flags    none
writeout
detect   char 
materiali  Al   none
cface     0.0       0.0    2300.9
totout    120.      120.   0.08
***registra   no
end

device   rettcil     
nome     Tax24      T24
flags    veto
***writeout
detect   mup
detect   mum
detect   all dump 
materiali  Fe  Air
cface     0.0       0.0       2307.0
centrin   0.0      -10.75     0.0
rin       .5       .5         80.75
sizeout   40.       60.       80.75
registra   no
end


*** POSITRON ABSORBER ******************** 
device   rettrett
nome     XCON25    XC2
flags    none
***writeout     
detect   mup
detect   mum
detect   all   dump
materiali   W  W 
cface    0.0     0.0      2469.3
centrin  0.0   -11.0       0.0
sizein    2.    2.0     0.2   
sizeout  40.    160.     0.2
registra   no

end
***************************************** 


device   rettcil     
nome     Tax26     T26
flags    veto
**writeout
detect   mup
detect   mum
detect   all dump 
materiali  Fe  Air
cface     0.0        0.0      2470.5
centrin   0.0      -11.25   0.0
rin       0.5       0.5       80.75
sizeout   40.       60.       80.75
registra   no
end

**************************************

device   rettangolo          
nome     ALUM3     Al3
writeout
flags    none
detect   char 
materiali  Al    Al 
cface     0.0       0.0    2642.1
totout    120.      120.   0.08
***registra   no
end
***************************************** 
********APE che cosa è !!!*************** 
**************************************** 
device   magnete
nome     Mtr29       MT29
flags    magn
**writeout
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0     2667.0
field    18201.0    0.0     0.0
sizein   1.8       14.75    180.
sizeout  34.5      60.0     180.
registra   no
end

device   magnete
nome     Mtr33    MT33
flags    magn
**writeout
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0     3087.0
field    -18201.0   0.0     0.0
sizein   1.8       14.75    180.
sizeout  34.5      60.0     180.
registra   no
end
**********************
*** END ACHROMAT 1 ***
********************** 


**************************************
******* BEGIN FOCUSING QUADRUPOLES ***
************************************** 
device   quadrupole
nome     QNL36    q4
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      3506.0
vfield  -2134.9275     1.0
totin    10.6       10.6     299.
totout   60.0       80.0     299.
registra   no
end

device  rettret          *** Coll. 1
nome     XCS38   C1    
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface     0.0  0.0    3840.5    
sizein    5.0   2.0    50.      
sizeout   5.0   12.0   50.
registra   no
end

device   quadrupole
nome     QNL41      q5 
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      3983.5
vfield   2356.905    1.0
totin    10.6       10.6     299.
totout   60.0       80.0     299.
registra   no
end

device  rettret          *** Coll.2 
nome     XCS43   C2    
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface     0.0  0.0    4318.0    
sizein    3.2   5.0   50.      
sizeout   13.2  5.0   50.
registra   no
end

device   quadrupole
nome     QNL46      q6 
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      4461.0
vfield   -1766.655   1.0
totin    10.6      10.6     299.
totout   60.0      80.0     299.
registra   no
end
********************************
*** END FOCUSING QUADRUPOLES ***
******************************** 

**********************************************
*** BEGIN COLLIMATORS AND MU FILTER STAGES ***-10.75  
**********************************************
device  rettret          *** Coll.3 
nome     XCS48   C31
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface     0.0  0.0    4795.5    
sizein    5.0  0.2    50.     
sizeout   5.0  10.2   50.
registra   no
end


********************************************
*** TRIM 2  a 4930.0  MDX49 ????? *** A campo 0
******************************************** 

device muflt
nome   Fltmu FLM
***writeout
flags  dump
detect   mup
detect   mum
detect   all dump 
materiali  Fe  none
cface   0.0         -4.0      5033.5
centrin   0.0       4.0      0.0 
field   0.0    -18000.0      0.0  // direzione
totin    4.        4.      780.
totout  174.       116.0     780.
registra   no
end 

********************************************
*** END COLLIMATORS AND MU FILTER STAGES ***
********************************************

********************************************
*** ari TRIM 3   MDX59 a 5877.0  A campo 0 
********************************************

**********************************
*** BEGIN FOCUSING QUADRUPOLES ***
********************************** 
device   quadrupole
nome     QNL61      q7 
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      5966.0
vfield   -1591.2825    1.0
totin    10.6      10.6    299.
totout   60.0       80.0     299.
registra   no
end

device   quadrupole
nome     QNL65      q8 
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      6309.0
vfield   1089.1175     1.0
totin    10.6      10.6     299.
totout   60.0      80.0     299.
registra   no
end
********************************
*** END FOCUSING QUADRUPOLES ***
******************************** 
device  rettret          *** Coll.4/5 
nome     XCH67   Cx4    
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface     0.0  0.0    6643.5    
sizein    2.7  1.5    50.      
sizeout   12.7 11.5   50.
registra   no
end

********************************************
***  TRIM 4 MDX68 a 6778.0  a campo 0
*** manca un fisc ?????? 6841.5
********************************************


device   cilindro          
nome     CEDAL1      CAL1
flags    none
detect   char 
materiali  Al   none
cface     0.0       0.0    6933.0
dtout     52.       0.     0.01
registra   no
end


**************
****  cedar nose 6936.0 ; 124.3  ?????  di che materiale
**************

device   cedar        *** CEDAR DETECTOR 
nome     cedar      cv
writeout
flags    none
detect   char 
**materiali   H23   H23 
cface     0.0       0.0    7060.3
dtout     50.       50.     445.7
end

**************
****  cedar End_cup  7506.0; 30.0  ?????
**************

device   cilindro          
nome     CEDAL2      CAL2
flags    none
detect   char 
materiali  Al     none
cface     0.0       0.0    7536.00
dtout     52.       0.     .02
registra   no
end

**********************************
*** BEGIN FOCUSING QUADRUPOLES ***
********************************** 



device   quadrupole ** up: foc x defoc y
nome     QFS77    q9
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      7630.5
vfield   -1899.1489    1.0
totin    9.5       9.5    80.
totout   42.2      42.2    80.
registra   no
end


device   quadrupole ** up: foc y defoc x
nome     QFS79   q10
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface    0.0        0.0      7830.5
vfield   1849.1489     1.0
totin    9.5        9.5    80.
totout   42.2       42.2    80.
registra   no
end
********************************
*** END FOCUSING QUADRUPOLES ***
******************************** 

device  gigatrack
nome     Gtk1    G1
writeout
flags    none
detect   Kp
detect   char
mem       0.1
materiali Si none
cface    0.0        0.0    7960.0
totout   6.0        2.7    0.04
end

************************
*** BEGIN ACHROMAT 2 ***
************************ 
device   magnete      
nome     MCB80    MC1    ***MCB87 prima
writeout
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
magkik    -1.25
cface    0.0       33.5     8048.0
centrin  0.0  -33.5 0.0 
field   -16678.0   0.0     0.0
sizein   3.6       6.45    125.
sizeout  75.       40.     125.
registra   no
end

device   magnete      
nome     MCB84    MC2
***writeout
flags    magn
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
magkik   1.25
cface    0.0       33.5     8408.0
centrin  0.0  -33.5 0.0 
field    16678.0   0.0     0.0
sizein   3.6       6.45    125.
sizeout  75.       40.     125.
registra   no
end

device   rettret         *** scraper 
nome     XCM83      X0
flag     dump
detect   mup
detect   mum
detect   all dump 
materiali Fe   none
cface     0.0      -5.0    8731.0
sizein    7.6       2.75   250.
sizeout   7.85      3.0    250.
registra   no
end

device gigatrack      *** giga2 DETECTOR (y = -6cm) 
nome    Gtk2   G2
writeout
flags    none
detect   Kp
detect   char
mem       0.1
materiali Si none
cface    0.0   -6.0    9280.0
totout   6.0    2.7   0.04
end

device   magnete
nome     MCB95    MC3
***writeout
detect   mup
detect   mum
detect   all dump    
materiali   Fe   none
magkik   1.25
cface    0.0       -6.0       9368.0
field    16678.0    0.0       0.0
sizein   3.6        6.45      125.
sizeout   62.3      62.5       125.
registra   no
end

device   magnete
nome     MCB97   MC    4
***writeout
flags    magn
detect   mup
detect   mum
detect   all dump 
magkik   -1.25
materiali   Fe   none
cface    0.0        0.0       9728.0
field   -16678.0    0.0       0.0
sizein   3.6        6.45      125.
sizeout  62.3      62.5       125.
registra   no
end
**********************
*** END ACHROMAT 2 ***
********************** 

device  rettret          *** Coll.6/7 
nome     XCH02   C6    
flags    dump
detect   mup
detect   mum
detect   all dump 
materiali   Fe   none
cface     0.0  0.0    10025.5  
sizein    3.3  1.65    50.      
***sizeout   13.3 11.65   50.   originale
sizeout   100.   100.   50.

registra   no
end

***********************************
*** T R I M   5 
***********************************
device   magnete   *** trim  5                                                         
nome     MDX99   MD5
**writeout
flags    magn
detect   mup
detect   mum
detect   all dump     
magkik  0.0907077
cface    0.0        0.0       10160.0
field    0.0        -7505.0  0.0
sizein   10.       5.      20.
sizeout  60.       60.     20.
registra   no
end

device gigatrack 
nome    Gtk3   G3
writeout
flags    none
detect   Kp
detect   char
mem       0.1
materiali Si none
cface    0.0    0.0    10240.0
totout   6.0    2.7   0.04
end

done
end_all
