****************************
*****  NA62  DETECTOR  *****
****************************
**** Device cilindrico nella regione di decadimento
**** da attivare se si vuole generare le interazioni beam gas 



device  fluka
nome   dectubo  dt
writeout
**escludi
flags    none
materiali    He      none    // da definire  
detect Kp
detect Km
detect pip
detect pim
detect mum
detect mup
detect p
detect n
detect gam
detect all
cface    0.0        0.0    10400.0
rin      100.0    100.0     4500.0
rout     101.0    101.0     4500.0        //semispessore da definire con precisione
end


*corona #1

device corona
nome Ant1  A1
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  12157.0
rin  110. 110. 28.5
rout 184. 184. 28.5
end 

*corona #2

device corona
nome Ant2  A2
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  12918.0
rin  110. 110. 28.5
rout 184. 184. 28.5
end 

*corona #3

device corona
nome Ant3  A3
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  13679.0
rin  110. 110. 28.5
rout 184. 184. 28.5
end 

*corona #4

device corona
nome Ant4  A4
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0 14440.0
rin  110. 110. 28.5
rout 184. 184. 28.5
end 

*corona #5

device corona
nome Ant5  A5
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  15201.0
rin  110. 110. 28.5
rout 184. 184. 28.5
end 

*corona #6

device corona
nome Ant6  A6
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  16552.0
rin  158. 158. 28.5
rout 232. 232. 28.5
end 

*corona #7

device corona
nome Ant7  A7
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  17303.0
rin  158. 158. 28.5
rout 232. 232. 28.5
end 

*corona #8

device corona
nome Ant8  A8
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  18054.0
rin  158. 158. 28.5
rout 232. 232. 28.5
end 

****************************
******** STRAW CHAMBER1 ****
** reviewed from beppe 
****************************
device   straw 
nome  St1x  S1x
writeout
**escludi 
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces    -10.5    0.0  18311.5 
totin     210.0   15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St1y  S1y
writeout
**escludi 
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -10.5    0.0  18325.5
rotap -90. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St1u  S1u
writeout
**escludi 
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -10.5   0.0  18339.5
rotap 45. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St1v  S1v
writeout
**escludi 
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces   -10.5   0.0  18353.5
rotap  -45. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
************************

*corona #9

device corona
nome Ant9  A9
writeout
**escludi 
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  19179.1
rin  198. 198. 28.5
rout 272. 272. 28.5
end 


************************
**** STRAW CHAMBER2 ****
************************
device   straw 
nome  St2x  S2x
writeout
**escludi 
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces    -12.5   0.0  19291.0 
totin     210.0   15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St2y  S2y
writeout
**escludi 
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -12.5    0.0  19305.0 
rotap -90.
totin     210.0  15.0  1.0
totout   210.0  210.0  1.0
end
device   straw 
nome  St2u  S2u
writeout
**escludi 
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -12.5   0.0  19319.0 
rotap 45. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St2v  S2v
writeout
**escludi 
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -12.5    0.0  19333.0 
rotap -45.
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
************************


**********************
**** MAGNET MNP33 ****
**********************
device   magnete
nome     Mnp1
flags    magn
detect   char    
magkik   .270
materiali  Fe  null 
cface   0.0    0.0     19535.0
field   0.0    -6927.12   0.0     
totin   260.    260.    130.         
totout  280.    280.    130.    
end
**********************


*corona #10

device corona
nome Ant10  A10
writeout
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  20209.4
rin  198. 198. 28.5
rout 272. 272. 28.5
end 


************************
**** STRAW CHAMBER3 ****
************************
device   straw 
nome  St3x  S3x
writeout
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces    -10.5    0.0  20332.5 
totin    210.0   15.0  1.0
totout   210.0  210.0  1.0
end
device   straw 
nome  St3y  S3y
writeout
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -10.5    0.0  20346.5 
rotap -90.
totin     210.0  15.0  1.0
totout   210.0  210.0  1.0
end
device   straw 
nome  St3u  S3u
writeout
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -10.5    0.0  20360.5 
rotap 45. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St3v  S3v
writeout
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -10.5   0.0  20374.5 
rotap -45.
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
************************

*corona #11

device corona
nome Ant11  A11
writeout
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  21710.0
rin  198. 198. 28.5
rout 272. 272. 28.5
end 


************************
**** STRAW CHAMBER4 ****
************************
device   straw 
nome  St4x  S4x
writeout
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -4.5    0.0  21845.0 
totin     210.0   15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St4y  S4y
writeout
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -4.5   0.0  21859.0 
rotap -90.
totin     210.0   15.0  1.0
totout   210.0  210.0  1.0
end
device   straw 
nome  St4u  S4u
writeout
flags   none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -4.5   0.0  21873.0 
rotap 45. 
totin       210.0   15.0  1.0
totout    210.0  210.0  1.0
end
device   straw 
nome  St4v  S4v
writeout
flags    none 
detect   pip 
detect   pim
detect   mup
detect   mum
detect   elep
detect   elec
detect   char
materiali  Str   none
cfaces     -4.5   0.0  21887.0 
rotap -45. 
totin      210.0  15.0  1.0
totout    210.0  210.0  1.0
end
************************

device corona
nome  ALWI AW
writeout 
flags none
detect char 
materiali Al none
cfaces -4.5   0.0  21892.5
dtin   15.5  0.0 0.03
dtout  240.0 0.0 0.03 
end

************************
** to avoid bump at 22000: rich--->corona

device corona 
nome Rich Ri
writeout
flags none
detect pip
detect pim
detect mup
detect mum
detect elep
detect elec
detect char
materiali Ne none
cface -4.0  0.0  22002.0  
rotat -0.12605071
dtin 17.0 17.0 1780.
dtout 280. 17.0 1780.  
end  

*corona #12

device corona
nome Ant12  A12
writeout
flags none 
detect  Kp  dump
detect  gam  dump
detect  pip  dump
detect  pim  dump
detect   mup
detect   mum
materiali Fe none
cface  0.0  0.0  23786.0
rin  218. 218. 28.5
rout 292. 292. 28.5
end 
done

* Hodoscope

device   hod48
nome     Hodo   Hd
writeout
flags    none
detect   elec
detect   elep
detect   char
centro   0.0        0.0   24012.
sizeout  121.       121.     1.
rin      12.8       0.0      1.
end


** LKR

device   lkr48
nome     Lkry   Lk
writeout
flags    none
detect    gam        dump
detect   elec       dump
detect   elep       dump
detect   mum
detect   mup
detect   char
materiali  Kr  null
centro   0.0        0.0     24140.
rin      8.0        0.0     64.8
rout     130.       0.0     64.8
end


*Hadron calorimeter

device   rettret         
nome     HACM   Hc 
writeout
flags    none 
detect   pip  dump
detect   pim  dump
detect   gam  dump
detect   mup
detect   mum
materiali Fe   none
cface    0.0   0.0   24332.5   
totin    18.5  18.5  177.5      
totout   240.0 240.0 177.5
end


*IRON Wall

device   rettret 
nome     Ironwall   Ir
writeout
flags    none 
detect   mup 
detect   mum	
materiali Fe   none
cface    0.0   0.0   24555.0   
totin    18.5  18.5  80.      
totout   240.0 240.0 80.
end


*Mu vetoes

device   rettret
nome     MUVET1   M1 
writeout
flags    none 
detect   mup 
detect   mum
materiali Fe   none
cface    0.0   0.0   24640.0  
totin    18.5  18.5  10.      
totout   240.0 240.0 10.
end

device   rettret
nome     MUVET2   M2 
writeout
flags    none 
detect   mup  
detect   mum
materiali Fe   none
cface    0.0   0.0   24650.0
totin    18.5  18.5  10.      
totout   240.0 240.0 10.
end

device rettret
nome DUMP Dp
flags    none
detect   all dump
materiali Fe   none
cface    0.0   0.0   29990.0
totin    0.0   0.0  10.
totout   120.0 120.0 10.


end_all
