/***************************************************************************
                          anak3pi.h  -  description
                             -------------------
    begin                : Sat Jan 18 2003
    copyright            : (C) 2003 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef ANAK3PI_H
#define ANAK3PI_H

#include "analisi.h"

/**
 Procedura per k+=>3pi analysis 
  *@author Giuseppe Pierazzini
  */


class AnaK3pi:public Analisi
 {
   int Ird0,Ird1,Ird2;
   int Icb0,Icb1,Icb2;
   int Isv0,Isv1,Isv2;
   gvet PVsave;
   double carica, enert;
   public:
   AnaK3pi();
   ~AnaK3pi();
//   int count_call,getta_en,getta_ch;
//   int getta_fit,count_wnt;
   int Fisica();
   void Reset_parm(){nd=0;np=0;ss[0]=ss[1]=ss[2]=su=sv=0.0;}
   void print_scale();
   int Vertice(); 
   void Ordina();
   
 
   double maspi;
//---Root/paw interface--------
   int nd;
   float ss[3],su,sv;
   float kcog,vx,vy,vz,chisq;
   int np;
   float pmis[3],charge,mkmis,pkmis,ptksq,fi3;
   float cogm1,cogm1x,cogm1y;
//---
// variabili di comodo
     double chicomb;
     gvet P1,P2,P3,V0,V1,V2,V3;
     gvet Noto,PV,Cog3p;
     gvet VM1,VM2,VM3;
     gvet DP1,DP2,DP3;
     qvet Q1,Q2,Q3,QT,QC;
 };  

#endif
