/***************************************************************************
                          anak4g.h  -  description
                             -------------------
    begin                : Sat Jan 18 2003
    copyright            : (C) 2003 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef ANAK4G_H
#define ANAK4G_H

#include "analisi.h"

/**
Procedura per Ks->4gam analysis 
  *@author Giuseppe Pierazzini
  */

class AnaK4g : public Analisi  {
public: 
   double pi0mass,twopi0mass,pi0massq,Utot;
//   int count_call,getta_gg,getta_en,getta_cog,getta_tau,getta_gf;
//   int getta_fit,count_wnt;
//--- root/paw interface--------
   int nd;
   int pair[3];       //pairing
   float mgg[3],egamtot,cog,zeta,cvita,peso,chisq;
   float dif1,dif2,dv1,dv2;

//-----------------------
   AnaK4g();
   ~AnaK4g(){};
   virtual int Fisica();
   virtual int kappa(int,int);
   virtual void Reset_parm();
   virtual int MassFit();
   virtual int MassChiq();
   virtual double Distvtx();
   virtual double Degij(int,int);
   virtual void Ddistq();
   virtual void Simq(int, int);
   virtual void print_scale();
   virtual float Get_chi(){return chisq;};
  };

#endif
