/***************************************************************************
                          anakpip0.h  -  description
                             -------------------
   GMP 27-11-2010
 ***************************************************************************/

#ifndef ANAKENUG_H
#define ANAKENUG_H


#include "analisi.h"


/**
Procedura di anlisi per K=>pi pi0
  *@author Giuseppe Pierazzini
  */

class AnaKenug:public Analisi
{
   double mas_Kp, mas_ele;

public:
    int getta_dist,getta_pip,getta_gam,getta_ele,getta_elep,getta_hitcal;
    int ntrk, good;
     float pxkp,pykp,pzkp;
    float chiq_vert,xvtx,yvtx,zvtx;
    float momk,mnu, mnuq, kelep,kegam,kenu,cogd, cox, coy;
     
    AnaKenug();
    ~AnaKenug();
//   int count_call,getta_en,getta_tau,getta_ch;
//   int getta_fit,count_wnt;
    int Fisica();
    void print_scale();

 
//


//--- root/paw interface--------


};

#endif
