/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
#include <flyoh.h>
#include "anaklambda.h"

using namespace std;
/**
Il costruttore della procedura di prova per lambda analisi
*/

AnaKlambda::AnaKlambda()
{
    tipo=27;
    nfit=1;
    titol="Lamda->protone pim " ;
    nome="Klambda";
    mas_lambda= ptr_Lambda->Get_Massa();
    mas_pim=ptr_Pip->Get_Massa();
    mas_protone= ptr_Protone->Get_Massa();


    Gout<<"\n Attivato il fit di "<<titol;

}
AnaKlambda::~AnaKlambda()
{
}


/**
Il fit per la procedura di prova per pi nu nu analisiPprot.setvn ( Trkstraw->Traccia[0].P0,mas_protone );
*/

int AnaKlambda::Fisica()
{
    count_call++;

    np=0;

    pxlam=pylam=pzlam=momlam=0.;
    pxpim=pypim=pzpim=mompim=0.;
    pxprt=pyprt=pzprt=momprt=0.;
    epim =elam= eprt=0.;


    //taglio sul vertice generato
    if ( evento_.Gen.zv < 10000  || evento_.Gen.zv > 17000 )
    {
        counter[0]++;
        return -1;
    }
		
		count_decay++;

 //***********************************************
    //   da fare 
//*************************************************
    count_wnt++;
    np=1;
    return 1;

}
//----------------------------------------------------
void AnaKlambda::print_scale()
{
    /**
    Stampa il summary del fit.
    */

    Gout<<"\n -----> "<<titol<<" Analysis Summary <-------\n";
    Gout<<"\n Fit entries          "<<count_call;
		Gout<<"\n Good decays          "<<count_decay << " (in the fiducial region)";
    for ( int i=0;i<30;i++ )
    {
        if ( counter[i]>0 )  Gout<<"\n Rejection "<<setw ( 3 ) <<i<<"         "<<counter[i];

    }

    Gout<<"\n Good events          "<<count_wnt;

    Gout<<"\n\n ======>           d o n e     <============ "<<std::endl;
}
