/***************************************************************************
                          anak2pi.cpp  -  description
   GMP 27-11-2010

  ***************************************************************************/
// #define MIN(x,y,z) ((x)<(y)?(x)<(z)?(x):(z):(y)<(z)?(y):(z))

#include "flyoh.h"
#include "anakpip0.h"
using namespace std;
int labok=1;    // flag momentaneo per laboratorio IV
//-------------------------------------------------------------
//-------------------------------------------------------------

AnaKpip0::AnaKpip0()
{
    tipo=29;
    nfit=2;
    titol="K--> pi+ pi0";
    nome="Kpip0";
    ntrk=good=0;
    mas_pip=ptr_Pip->Get_Massa();
    mas_Kp=ptr_Kapp->Get_Massa();
    mas_pi0=ptr_Pi0->Get_Massa();
    Gout<<"\n Attivato il fit di "<<titol;
}

AnaKpip0::~AnaKpip0() {};

//=============== C h a r g e  2 pions    F i t ========

int AnaKpip0::Fisica()
{

    count_call++;
//
    good=0;
    charge=1.;
    pmis=masmis=0.;

    if (labok==1)

    {
        if (Cam1->mhit!=1||Cam2->mhit!=1)
        {
            getta_ch++;
            return -1;
        }
//traccia pip
        Pkin.setvn(0.,0.,8.,mas_Kp);

        gvet Xc1=Cam1->M_Hits[0].Xlab;
        gvet Xc2=Cam2->M_Hits[0].Xlab;
        gvet Vpip12= (Xc2-Xc1).NVerso();
//        Xc1.print("c1"); Gout<<" ev "<<Eventi_Generati;
//        Xc2.print("c2");
        // calcolo del vertice  vedi la struttura Vtxstruct in analisi.h e analisi.cpp

        Vtxstruct Xdecay(2);
        Xdecay.P[0].setvn(0.,0.,100.); // beam at G3 (0.,0.,10240.); Fare meglio
        Xdecay.V[0].setvn(0.,0.,1.); // versore del beam...
        Xdecay.P[1]=Xc1; // coordinate della traccia 1 al centro del magnete (definizione)
        Xdecay.V[1]=Vpip12; // versore della traccia 1
        Xdecay.Vertice();
        chisq=Xdecay.chiq;
        Xdecay.Vtx.putv( xvv,yvv,zvv );

//     //taglio sul vertice ricostruito (livello 0)
        if (zvv<100.||zvv>500.) {
            getta_tau++;
            return -1;
        }
// il calorimetro esiste!!!
        gvet gam1=lkry->M_Hits[1].Xlab;
        gvet gam2=lkry->M_Hits[2].Xlab;
        gvet vgam1=(gam1-Xdecay.Vtx).NVerso();
        gvet vgam2=(gam2-Xdecay.Vtx).NVerso();

        double egam1=lkry->M_Hits[1].e_rivela;
        double egam2=lkry->M_Hits[2].e_rivela;
        qvet pgam1(vgam1*egam1,0.0);
        qvet pgam2(vgam2*egam2,0.0);
// ---
        Ppi0=pgam1+pgam2;

        msgg=Ppi0.Invar();              
        qvet Mom = Pkin-Ppi0;  
        masmis=Mom.Invar();
        ppip=Mom.mom;
        dtet=(Mom.Verso()&Vpip12).Norma();
        
        count_wnt++;
        good=1;
        return 1;


    }

// fisica standard....





    if (Trkstraw!=0)  ntrk=Trkstraw->ntrk_done;
    if (ntrk<1) {
        good=0;
        return(-1);
    }

    Pkin.setvn(-0.09,0.,75.,mas_Kp);
    Pkin=SelRea->avo->P;

    Track  Trk=Trkstraw->Traccia[0];
    charge=Trk.charge;
    chisq=Trk.chiq_fit;
    Ppi.setvn(Trkstraw->Traccia[0].P_in,mas_pip);

//float charge,chisq,pmis,masmis, ppip;
    ppip=Ppi.mom;

    Ppi0=Pkin-Ppi;
    Ppi0.Invar();
// Ppi0.print("P_mis");

    masmis=Ppi0.m;
    pmis=Ppi0.mom;

    if (ppip<15.||ppip>35.)return -1;

    count_wnt++;
    good=1;
    return 1;







}

//======================================================================================
int AnaKpip0::Vertice()
{

    return 1;
}

//----------------------------------------------------
void AnaKpip0::print_scale()
{

    Gout<<"\n -----> "<<titol<<"   Analysis Summary. <-------\n";
    Gout<<"\n Fit entries          "<<count_call;
    Gout<<"\n NO Tracks            "<<getta_ch;
    Gout<<"\n Killed by energy     "<<getta_en;
    Gout<<"\n Tau cut              "<<getta_tau;
    Gout<<"\n No good vertex       "<<getta_fit;
    Gout<<"\n Good events          "<<count_wnt;
    Gout<<"\n\n ======>           d o n e     <============ ";
}
//-------------------------------------------
