/***************************************************************************
                          anak2pi.cpp  -  description
   GMP 27-11-2010

  ***************************************************************************/
// #define MIN(x,y,z) ((x)<(y)?(x)<(z)?(x):(z):(y)<(z)?(y):(z))

#include "flyoh.h"
#include "anakpip0ee.h"
#include  "flyline.h"
#include  "flytrk.h"




using namespace std;
int Debugpip0ee=0;


struct  Trk_Info {
        // struttura da riempire con i parametri delle tracce da camere o da straw
        gvet Xmg,Xlk,Xlk0;
        gvet Pmom;
        int Chj;
        int org;
        Particella *Pr;
        void   Reset();
        
};

void Trk_Info::Reset()
{
        Xmg.Reset();
        Xlk.Reset();
        Xlk0.Reset();
        Pmom.Reset();
        Pr=0;
        Chj=0;
        org=0;
}


Trk_Info Pee[3];
//-------------------------------------------------------------
//-------------------------------------------------------------

AnaKpip0ee::AnaKpip0ee()
{
        tipo=31;
        nfit=2;
        titol="K--> pi pi0 e+ e-";
        nome="Kpip0ee";
        ntrk=good=0;
        mas_pip=ptr_Pip->Get_Massa();
        mas_Kp=ptr_Kapp->Get_Massa();
        mas_pi0=ptr_Pi0->Get_Massa();
        mas_ele=ptr_Elec->Get_Massa();
        Gout<<"\n Attivato il fit di "<<titol;

        if ( giga1!=0 ) {
                Pk_ric=new GigaBeam();
        }
        getta_dist=getta_pip=getta_gam=getta_ele=getta_elep=getta_hitcal=0;
}

AnaKpip0ee::~AnaKpip0ee() {};

//=============== C h a r g e  2 pions    F i t ========

int AnaKpip0ee::Fisica()
{

        // analisi  K0 -> pi0 pic e- e+ ->gam gam
        Pee[0].Reset();
        Pee[1].Reset();
        Pee[2].Reset();

        count_call++;
//
        good=0;;
        chiq_vert=xvtx=yvtx=zvtx=0.0;
        momk=pxkp=pykp=pzkp=0.0;



//*****************************************
//*****************************************
        count_decay++;


//////    ??????????????????????????????????????????????????????????????????????????????????


        if ( Trkstraw==0&&Le_Tracce==0 ) {
                cout<<"\n Tracce non attivato!!! exit "<<endl;
                exit ( 0 );
        }

        int Ntrk=0;
        if ( Trkstraw!=0 ) {
                Ntrk=Trkstraw->ntrk_done;
        } else if ( Le_Tracce!=0 ) {
                Ntrk=Le_Tracce->Tot_trk+1;
        }

        if ( Ntrk!=3 ) { // test sul numero di tracce
                getta_trk++;
                good=-1;
                return -1;
        }

//
        gvet Xbm,Pk_mom;
        qvet Pkin;


        if ( Trkstraw!=0 ) {

                if ( Trkstraw->charge_all!=1 ) {// test sulla carica

                        getta_char++;
                        good=-2;
                        return -2;
                }
                // get le coordinate al magnete e e i momenti
                Pee[0].Xmg=Trkstraw->Traccia[0].Xmg;  // cordinate al magnete
                Pee[1].Xmg=Trkstraw->Traccia[1].Xmg;
                Pee[2].Xmg=Trkstraw->Traccia[2].Xmg;

                Pee[0].Xlk=Trkstraw->Traccia[0].Xlkr;
                Pee[1].Xlk=Trkstraw->Traccia[1].Xlkr;
                Pee[2].Xlk=Trkstraw->Traccia[2].Xlkr;

                Pee[0].Xlk0=Trkstraw->Traccia[0].Xlkr;
                Pee[1].Xlk0=Trkstraw->Traccia[1].Xlkr;
                Pee[2].Xlk0=Trkstraw->Traccia[2].Xlkr;



                Pee[0].Pmom=Trkstraw->Traccia[0].P_in;  // impulso
                Pee[1].Pmom=Trkstraw->Traccia[1].P_in;
                Pee[2].Pmom=Trkstraw->Traccia[2].P_in;

                Pee[0].Chj=Trkstraw->Traccia[0].charge;
                Pee[1].Chj=Trkstraw->Traccia[1].charge;
                Pee[2].Chj=Trkstraw->Traccia[2].charge;




                if ( giga1!=0 ) {
                        Pk_mom=Pk_ric->Beam_Rec();    // impulso del beam dal gigatrack
                        Xbm.setvn ( Pk_ric->xg3,Pk_ric->yg3,10240. );

                } else {
                        Pk_mom.setvn ( 0.,0.,75. );
                        Xbm.setvn ( 0.0,0.0,10240. );
                }


// se ci sono le camere a filo
        } else if ( Le_Tracce!=0 ) {

                if ( ( Tracc[0].charge+Tracc[1].charge+Tracc[2].charge ) !=1 ) { // test sulla carica

                        getta_char++;
                        good=-2;
                        return -2;
                }

                // get le coordinate al magnete e e i momenti
                Pee[0].Xmg=Tracc[0].Xm48;  // cordinate al magnete
                Pee[1].Xmg=Tracc[1].Xm48;
                Pee[2].Xmg=Tracc[2].Xm48;
// coordinate al calorimetro
                Pee[0].Xlk=Tracc[0].Xlk;
                Pee[1].Xlk=Tracc[1].Xlk;
                Pee[2].Xlk=Tracc[2].Xlk;
// coordinate estrapolate al calorimetro senza campo magnetico
                Pee[0].Xlk0=Tracc[0].Xlk0;
                Pee[1].Xlk0=Tracc[1].Xlk0;
                Pee[2].Xlk0=Tracc[2].Xlk0;



                Pee[0].Pmom= Tracc[0].P; // impulso
                Pee[1].Pmom= Tracc[1].P;
                Pee[2].Pmom= Tracc[2].P;

                Pee[0].Chj=Tracc[0].charge;
                Pee[1].Chj=Tracc[1].charge;
                Pee[2].Chj=Tracc[2].charge;


// direzione del beam con le  kabes (kabs3)
                if ( kabs3!=0 ) {
                        if ( kabs3!=0 ) {
                                double xb3=kabs3->M_Hits[0].Xdev.x;
                                double yb3=kabs3->M_Hits[0].Xdev.y;
                                Xbm.setvn ( xb3, yb3, 6378. );
                                double kp=60.0;
                                Pk_mom=Xbm.Verso() *kp;  // vettore impulso del K

                        }   else {
                                Pk_mom.setvn ( 0.,0.,60. );
                                Xbm.setvn ( 0.0, 0.0, 6378. );
                        }
                }
        }

        if ( Debugpip0ee==1 ) {
                cout<<"\n Ev-0 "<< Eventi_Scritti<<" Analisi pip0ee "<<flush;
                Pee[0].Xlk.print ( "xlk_0" );
                Gout<<" ch_0 "<<Pee[0].Chj;
                Pee[0].Pmom.print ( "Mom_0" );
                Pee[1].Xlk.print ( "xlk_1" );
                Gout<<" ch_1 "<<Pee[1].Chj;
                Pee[1].Pmom.print ( "Mom_1" );
                Pee[2].Xlk.print ( "xlk_2" );
                Gout<<" ch_2 "<<Pee[2].Chj;
                Pee[2].Pmom.print ( "Mom_2" );

        }








// ***********************************

        Pkin.setvn ( Pk_mom,mas_Kp ); // definizione del quadrimomento
        Pkin.putvn ( pxkp,pykp,pzkp,momk ); // salvo per root
//
// calcolo il vertice. Prima riempio la struttura Xdecay
      
        Vtxstruct Xdecay ( 4 );

        Xdecay.P[3]=Xbm;    // beam at G3 / or Kabes 3;
        Xdecay.V[3]=Pkin.NVerso();       //  versore del beam...
        for ( int i=0; i<3; i++ ) {
                Xdecay.P[i]=Pee[i].Xmg; // coordinate della traccia al  magnete
                Xdecay.V[i]=Pee[i].Pmom.NVerso(); // versore della traccia prima del magnete
        }
//
//  GET  VERTICE

 
        Xdecay.Vertice();
        chiq_vert=Xdecay.chiq;
        Xdecay.Vtx.putv ( xvtx,yvtx,zvtx );
 

        if ( Debugpip0ee==1 ) {
                Xdecay.Vtx.print ( "vtx" );
                Gout<<" chiq  "<<setw ( 8 ) << chiq_vert
                    <<" zv "<<setw ( 8 ) <<evento_.Gen.zv<< " mhit "<<setw ( 4 ) <<lkry->mhit <<"  Ev "<<Eventi_Generati;


        }


        if ( chiq_vert>100. ) {
                // wrong fit!!!!
                getta_fit++;
                return -1;
        }

        if ( lkry->mhit<4 ) {
                // not enough hits in lkr
                getta_hitcal++;
                good=-4;
                return -4;
        }





// ***********  get the particle pointers *********
// riconoscimento delle tracce pip, elec, elep... fare meglio...

        Bufdev *Hitgam = new Bufdev[5];
        //  Bufdev Hitgam[2];
        int Clsp=0;
        Trk_Info *Trpip=0,*Trelec=0,*Trelep=0;

        int soletta=0;
        for ( int i=0; i<lkry->mhit; i++ ) { //ciclo hit Lkr
                soletta=0;
                gvet Xl0=lkry->M_Hits[i].Xlab; //coordinate hit nel Lkr
                for ( int j=0; j<3; j++ ) { //ciclo tracce ricostruite
                        gvet Xdl0= Xl0-Pee[j].Xlk; //differenza tra posizione hit Lkr e proiezione traccia
                        if ( Xdl0.XYNorma() <3.5 ) {
                                if ( lkry->me[i]/Pee[j].Pmom.mom<.85 ) {
                                        if ( Pee[j].Chj==1 ) {
                                                Trpip=&Pee[j];
                                                Trpip->org=lkry->M_Hits[i].idm;
                                                Trpip->Pr=lkry->M_Hits[i].Pr;
                                                soletta=1;
                                        }
                                } else if ( lkry->me[i]/Pee[j].Pmom.mom>.89 ) {
                                        if ( Pee[j].Chj==1 ) {
                                                Trelep=&Pee[j];
                                                Trelep->org=lkry->M_Hits[i].idm;
                                                Trelep->Pr=lkry->M_Hits[i].Pr;

                                                soletta=2;
                                        } else if ( Pee[j].Chj==-1 ) {
                                                Trelec=&Pee[j];
                                                Trelec->org=lkry->M_Hits[i].idm;
                                                Trelec->Pr=lkry->M_Hits[i].Pr;

                                                soletta=3;
                                        }
                                }
                        }
                }

                //cout<<"\n soletta "<< soletta;

                if ( soletta==0 ) {
                     
                                Hitgam[Clsp]=lkry->M_Hits[i];    // allora l'hit è un gamma/cluster
                                Clsp++;
                   
                }

        }
// test di accoppiamento fatto
        if ( Clsp!=2 ) {    // qui si potrebbe accettare anche un solo gamma.....
                getta_gam++;
                good=-6;
                return -6;
        }


        if ( Trpip==0 ) {
                getta_pip++;
                good=-7;
                return -7;
        }
        if ( Trelec==0 ) {
                getta_ele++;
                good=-8;
                return -8;
        }
        if ( Trelep==0 ) {
                getta_elep++;
                good=-9;
                return -9;
        }

        // accoppiamento


        associa= Trelep->org*100+Trelec->org*10+Trpip->org;

        if ( Debugpip0ee==1 ) {
                cout<<"\n Ev-4 "<< Eventi_Scritti<<" Trovati"<<flush;
        }

        //tagli fiduciali sui fotoni

        for ( int i=0; i<2; i++ ) {
                float E_gamma = Hitgam[i].e_rivela;
                float r_gamma = Hitgam[i].Xlab.XYNorma();
                if ( E_gamma<1. || E_gamma>75 ) {
                        getta_gam++;
                        return -1;
                }
                if ( r_gamma<15 || r_gamma>116 ) {
                        getta_gam++;
                        return -1;
                }
                //   cout<<j<<" "<<E_gamma<<" "<<r_gamma<<endl;
        }

        //quadrimpulsi particelle

        gvet pg1,pg2;
        qvet Pkmis, Ppi0;
        qvet Ppic, Pelec, Pelep, Pgam1, Pgam2;


//   gvet cog, verso_pic, verso_elec, verso_elep, versog1, versog2;
        gvet cog,versog1, versog2;

        versog1 = ( Hitgam[0].Xlab - Xdecay.Vtx ).NVerso();
        versog2 = ( Hitgam[1].Xlab - Xdecay.Vtx ).NVerso();
        pg1 = Hitgam[0].e_rivela*versog1;
        pg2 = Hitgam[1].e_rivela*versog2;




        Ppic.setvn ( Trpip->Pmom,mas_pip );
        Pelec.setvn ( Trelec->Pmom,mas_ele );
        Pelep.setvn ( Trelep->Pmom,mas_ele );
        Pgam1.setvn ( pg1,0. );
        Pgam2.setvn ( pg2,0. );
        Ppi0 = Pgam1 + Pgam2;
        Pkmis = Ppic + Ppi0 + Pelec + Pelep;




        //  verso_pic = Ppic.NVerso();
        //  verso_elec = Pelec.NVerso();
        //  verso_elep = Pelep.NVerso();

//ricostruisco la massa del pi0

        mpi0 = Ppi0.Invar();

        //somma degli impulsi

        som_impulsi = ( Ppic+Pelep+Pelec+Pgam1+Pgam2 ).Norma();


        mk = Pkmis.Invar();


//     Gout<<endl;
//     Trpip->Pr->Get_Gx().print ( "P_X0" );
//     Trelec->Pr->Get_Gx().print ( "ec_X0" );
//     Trelep->Pr->Get_Gx().print ( "ep_X0" );
//
//     Trpip->Pr->Get_Gp().print ( "P_p0" );
//     Trelec->Pr->Get_Gp().print ( "ec_p0" );
//     Trelep->Pr->Get_Gp().print ( "ep_p0" );
//
//     Trpip->Xmg.print ( "p_xmg" );
//     Trelec->Xmg.print ( "ec_xmg" );
//     Trelep->Xmg.print ( "ep_xmg" );
//
//     ( X_estrap[0]-Trpip->Xlk0 ).print ( " p_diff" );
//     ( X_estrap[1]-Trelec->Xlk0 ).print ( " ec_diff" );
//     ( X_estrap[2]-Trelep->Xlk0 ).print ( " ep_diff" );



//centro di gravità

        cog=Ppic.mom*Trpip->Xlk0 + Pelec.mom*Trelec->Xlk0 + Pelep.mom*Trelep->Xlk0;
        cog += Pgam1.mom*Hitgam[0].Xlab +Pgam2.mom*Hitgam[1].Xlab;
        cog /= som_impulsi;

        cox = cog.x;
        coy = cog.y;

        cogq = sqrt ( cox*cox +coy*coy );

        //massa invariante del dileptone  ok

        qvet dlep;
        dlep = Pelec+Pelep;
        mmqee = dlep.Invarq();

        qvet piee=dlep+Ppic;
        mqpiee=piee.Invarq();

        qvet p0ee=dlep+Ppi0;
        mqp0ee=p0ee.Invarq();
        //massa invariante del dipione

        qvet dpion;
        dpion = Ppic+Ppi0;
        mqpip0 = dpion.Invarq();


// //test  per verifica cinematica
//     double m12,m34,e1,e2,e3,e4;
//
//     m12=evento_.Gen.mres12;
//     m34=evento_.Gen.mres34;
//     e1=evento_.Gen.ge1;
//     e2=evento_.Gen.ge2;
//     e3=evento_.Gen.ge3;
//     e4=evento_.Gen.ge4;
//     Gout<<"\n test "<<m12<<" "<<sqrt ( mqpip0 ) <<" "<<m34<<" "<<sqrt ( mmqee );
//     qvet Pkm ( Pk_mom,.493677 );
//     Gout<<"   e1 "<<Pkmis*Ppic/.493677<<" "<<e1;
//     Gout<<"   e2 "<<Pkmis*Ppi0/.493677<<" "<<e2;
//     Gout<<"   e3 "<<Pkmis*Pelep/.493677<<" "<<e3;
//     Gout<<"   e4 "<<Pkmis*Pelec/.493677<<" "<<e4;

//
        count_wnt++;
        good=1;
        return 1;

}

//======================================================================================


//----------------------------------------------------
void AnaKpip0ee::print_scale()
{

        Gout<<"\n -----> "<<titol<<"   Analysis Summary. <-------\n";
        Gout<<"\n Fit entries          "<<count_call;
        Gout<<"\n Z cut                "<<getta_cog;
        Gout<<"\n no tracks            "<<getta_trk;
        Gout<<"\n Wrong charge         "<<getta_char;
        Gout<<"\n No good vertex       "<<getta_fit;
        Gout<<"\n Not enough lkr hits  "<<getta_hitcal;
        Gout<<"\n no two gamma         "<< getta_gam;
        Gout<<"\n no pip               "<< getta_pip;
        Gout<<"\n no ele               "<< getta_ele;
        Gout<<"\n no elep              "<< getta_elep;
        Gout<<"\n Good events          "<<count_wnt;

        cout<<"\n Good events          "<<count_wnt ;
        Gout<<"\n\n ======>           d o n e     <============ ";
}
//-------------------------------------------
