/***************************************************************************
                          anakpip0.h  -  description
                             -------------------
   GMP 27-11-2010
 ***************************************************************************/

#ifndef ANAKPIP0EE_H
#define ANAKPIP0EE_H


#include "analisi.h"


/**
<br>Analisi del decadimento K--> pi pi0 e+ e-
<br> eventi generati con l'apparato sperimentale NA48
<br>  *@author Giuseppe Pierazzini
  */

class AnaKpip0ee:public Analisi
{
    double mas_Kp, mas_pip, mas_pi0, mas_ele;

public:

    int ntrk;
    int getta_dist,getta_pip,getta_gam,getta_ele,getta_elep,getta_hitcal;
    int good,associa;

    float chiq_vert,xvtx,yvtx,zvtx,momk;

    float mk, mpi0, som_impulsi, cogq, cox, coy;
   float mmqee;
   float mqpip0, mqpiee, mqp0ee;   
   float pxkp,pykp,pzkp;
   
   
    //,pxpip,pypip,pzpip,pxelec,pyelec,pzelec,pxelep,pyelep,pzelep;



    AnaKpip0ee();
    ~AnaKpip0ee();
//   int count_call,getta_en,getta_tau,getta_ch;
//   int getta_fit,count_wnt;
    int Fisica();
    void print_scale();


//


//--- root/paw interface--------


};

#endif
