
/**
 Titles
A long list  of fitting procedures
@author Giuseppe Pierazzini
*/


#ifndef FLYOANA_H
#define FLYOANA_H


#include "analisi.h"
#include "anabeam.h"
#include "anak3pi.h"
#include "anak6g.h"
#include "anakpovv.h"
#include "anakpip0.h"
#include "anauser.h"
#include "anak2pi.h"
#include "anak4g.h"
#include "anakpivv.h"
#include "anakmunu.h"
#include "anakpip0ee.h"
#include "anakpip0dlz.h"
#include "anakpip0p0dlz.h"
#include "anaklambda.h"
#include "anakl2.h"
#include "anake2g.h"
#include "anakenug.h"
#include "anakpip0dlz.h"
#include "anakpip0p0dlz.h"
#include "ananemo.h"

void Scrivi_Root_out(int);
void Scrivi_Root_plots(int);
void Scrivi_Dati(int);

void FitsControl(int);

// definition in the procedura outnt.cc
#if defined(MAIN)
int FitDone=-100;
//  Analisi    *Primofit=0;


AnaK4g     *Ak4gam  =0;
AnaK6g     *Ak6gam  =0;
AnaK2pi    *Ak2pi   =0;
AnaK3pi    *Ak3pi   =0;
AnaBeam    *Beamprt =0;
AnaKenug   *Akenug  =0;
AnaKpip0   *Akpip0=0;
AnaKpip0ee *Akpip0ee=0;
AnaKpip0dlz *Akpip0dlz=0;
AnaKpip0p0dlz *Akpip0p0dlz=0;
AnaKpivv   *Akpivv  =0;
AnaKmunu   *Akmunu  =0;
AnaKlambda *Aklambda  =0;
AnaKpovv   *Akpovv  =0;
AnaUser    *Auser   =0;
AnaKl2     *Akl2   =0;
AnaKe2g    *Ake2g  =0;
AnaNemo    *ANemo =0;

/** per memoria: Classi usate in passato...
  AnaK2p2g   *Ak2p2g  =0;
  AnaK3lept  *Ak3lept =0;
  AnaKA2pi   *AkA2pi  =0;        // K+ -> pip Atom(#include "anakpivv.h"    pip pim) -> pip 4g
  AnaPi2g    *Api2gam =0;
  AnaEta2g   *Ae2gam  =0;
  AnaEta6g   *Ae6gam  =0;
  AnaKl2     *Akl2   =0;
  AnaKpc2g   *Akpc2g  =0;
  AnaKpcpi0  *Akpcpi0  =0;
  AnaKpcp0g  *Akpcp0g =0;
  AnaKpc2p0 *Akpc2p0 =0;
  AnaK2p0enu *Ak2p0enu=0;#include "anakpivv.h"
  AnaK2pcenu *Ak2pcenu=0;
  AnaK2pc3g  *Ak2pc3g =0;
  AnaKenug    *Akenug   =0;
  AnaKpievg  *Akpievg =0;
  AnaKmvg    *Akmvg   =0;


*/
#endif

#if !defined(MAIN)
extern int FitDone;
// extern Analisi *Primofit;
extern AnaK4g     *Ak4gam ;
extern AnaK6g     *Ak6gam ;
extern AnaK2pi    *Ak2pi  ;
extern AnaK3pi    *Ak3pi  ;
extern AnaKenug   *Akenug ;
extern AnaBeam    *Beamprt; 
extern AnaKpip0   *Akpip0;
extern AnaKpip0ee *Akpip0ee;
extern AnaKpip0dlz *Akpip0dlz;
extern AnaKpip0p0dlz *Akpip0p0dlz;
extern AnaKpivv   *Akpivv;
extern AnaKmunu   *Akmunu;
extern AnaKlambda *Aklambda;
extern AnaKpovv   *Akpovv;
extern AnaUser    *Auser;
extern AnaKl2     *Akl2;
extern AnaKe2g    *Ake2g;
extern AnaNemo    *ANemo;
#endif

#endif


