/***************************************************************************
                          devcln.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devcln.h"
#include "evento.h"

//using namespace std;
using namespace std;
DevCln::~DevCln()
{
}
//==================  Cilindro=======Erede di RettEdro
DevCln::DevCln()
{
  devtype=TypDevCln;
  devclass="Cilindro";
  rout=Lout.y=Lout.x;  // simmetrizzo le coordinate x,y Lout.x sempre differente da 0 e = rout;
  routq=rout*rout;
  Lout.Norma();
  Devsize=Lout.norma*1.1;

}

//----------------- --------
void DevCln::Prgeom()
{
  Gout<<"==================  R i v e l a t o r e =================";
  Gout<<"\n --> < "<<nome <<" >  [ "<<fun
  <<" ]  Cilindro di rout "<< rout<<"  senza buco. ";
  Device::Prgeom();

}

//======================================================
//----------------- -----P o s i z i o n e ---
int DevCln::Posizione()
{


  if ( X_dev.norma>Devsize ) return 1;
  if(       fabs(X_dev.z)>Lout.z) return 1;
  if(X_dev.XYNorma()>rout)return 1; //e' fouri

  return 0;    // 0 se interno, 1 se esterno.


}
//----------------------------------------------------------
//----------------------C a m E s t e r --------------------
double DevCln::CamEster()
{
  
camm =Cam_su_Cln(X_dev,V_dev,Lout);
  return camm;
}
//===========================================================
//----------------------C a m I n t e r --------------------

double DevCln::CamInter()
{
  
  
  camm = Cam_da_Cln(X_dev,V_dev,Lout);
  return camm;
}
