/***************************************************************************
                          devot.h  -  description
                             -------------------
    begin                : Sat Dec 6 2003
    copyright            : (C) 2003 by gmp
    email                : peppe@newpeppe
 ***************************************************************************/

#ifndef DEVOT_H
#define DEVOT_H

#include <devrt.h>

/**
  *@author gmp
  */

class DevOt : public DevRt

// volume Parallepipedo ottagonale senza buco interno
{
//------------------------------------------------------
// parametri per calcolo intermedio
//
// 1 e 2  piani perpen. a x rispettivament in -x0 e x0 (Lout[0])
// 3 e 4  piani perpen. a y rispettivament in -y0 e y0 (Lout[1])
// 5 e 6  piani perpen. a z rispettivament in -z0 e z0 (Lout[2])
// i lati inclinati usano le stesse definizioni per simmetria....

  protected:
  

  gvet X_rot,V_rot;
  double Firot;
//-----------------------------------------------------
  public:
  DevOt();
	~DevOt();
  virtual int Posizione();
  virtual double CamEster();
  virtual double CamInter();
  virtual void  Prgeom();
//  virtual void DataSmear();

};

#endif
