/***************************************************************************
                          devrt.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "flyoh.h"
#include "devrt.h"

//using namespace std;


DevRt::~DevRt()
{
}
void DevRt::Prgeom()
{
    Gout<<"==================  R i v e l a t o r e =================";
    Gout<<"\n --> < "<<nome <<" >  [ "<<fun
    <<" ]  rettangolare senza buco ";
    Device::Prgeom();

}
//----------------- -----P o s i z i o n e ---
int DevRt::Posizione()
{

// dist dal piano x=Nx%(P-Lout) etcc...
// le distanze di un punto interno dai piani del
// rivelatore sono tutte negative o nulle data
// la definizione delle normali ai piani ( verso l'esterno)
// Le distanze di un punto esterno sono sia positive che negative:
// ma almeno  una distanza e' positiva.


// se esterno return 1   

    if ( X_dev.norma>Devsize )return 1;
    if     (fabs(X_dev.x)>Lout.x||
            fabs(X_dev.y)>Lout.y||
            fabs(X_dev.z)>Lout.z) return 1;

// se interno return 0

    return 0;

}
//----------------------------------------------------------
//----------------------C a m E s t e r --------------------
// calcola il cammino esterno per raggiungere il rivelatore...
// Pp punto di partenza in dev frame
// Vv versore del moto
// da chiamrsi sempre dopo Posizione....

double DevRt::CamEster()
{
    camm=Cam_su_Rt(X_dev,V_dev,Lout);
    return camm;
}

//----------------------C a m I n t e r --------------------
// calcola il cammino interno per uscire dal rivelatore...
// Pp punto di partenza in dev frame
// Vv versore del moto
// da chiamrsi sempre dopo Posizione....

double DevRt::CamInter()
{

    camm =Cam_da_Rt(X_dev,V_dev,Lout);
    return camm;
}


