/***************************************************************************
                          devsector.h  -  description
                             -------------------
    begin                : settembre 2008
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************/

#ifndef DEVSECTOR_H
#define DEVSECTOR_H

#include "devcln.h"

/**Cilindro: Volume cilindrico senza buco
  *@author Giuseppe Pierazzini
  */

class DevSector:public DevCln
// Volume cilindrico senza buco
{
  protected:
//  gvet    Douts,Doutd;
//  double rout,routq,drq,vxyq; 
   gvet Doutd,Douts;
  double drinq,rin,rinq,drq,vxyq;
  public:
  DevSector();
	~DevSector();
  virtual int Posizione();
  virtual double CamEster();
  virtual double CamInter();
  virtual void  Prgeom();
  virtual gvet& Lab2cDev ( gvet& );
  virtual gvet& Devc2Lab ( gvet& );

};
#endif
