/***************************************************************************
                          devytax.cpp  -  description
                             -------------------
    begin                : Mon Jul 30 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devytax.h"
#include "evento.h"



DevYTax::DevYTax() {
    devtype=TypDevYTax;
    devclass="YTax_Rt";
    if (Lin[0]>Lin[1])
    {
        Rtaxq=Lin[0]*Lin[0];
    }
    else  Rtaxq=Lin[1]*Lin[1];
}
DevYTax::~DevYTax() {
}

//======================================================
//----------------- -----P o s i z i o n e ---
int DevYTax::Posizione()
{
    int posto;
    posto=DevRtRt::Posizione();
    if (posto==-1)
    {
// qui e' nel buco
// verifico se e' all'interno dei due archi di cerchio
// che delimitano il buco
// mi riferisco al centro dell'arco superiore
//  P_Cin.print("P_Cin");

        gvet Dist=P_Cin;
        Dist[2]=0;
        Dist.Norma();
        if (Dist.normaq>Rtaxq) return 0;
//  double dxq=P_Cin[0]*P_Cin[0];
//  double dy=P_Cin[1]-Lin[1]+Lin[0];
//
//  if(dy>0.&&(dy*dy+dxq)>Rtaxq) return 0;
//
// // ora mi riferisco al centro dell'arco inferiore
//  dy=P_Cin[1]+Lin[1]-Lin[0];
//  if(dy<0.&&(dy*dy+dxq)>Rtaxq) return 0;

// e' interno al buco

//   Dist.print("dist");

        return -1;
    }
    else  return posto;

}
//----------------- --------
void DevYTax::Prgeom()
{

    Gout<<"==================  R i v e l a t o r e =================";
    Gout<<"\n --> < "<<nome <<" >  [ "<<fun
    <<" ]  Y_tax Rettang. con buco rettang+arco agli estremi.";
    Device::Prgeom();
    Gout<<std::endl;
}










