/***************************************************************************
 *   Copyright (C) 2005 by Giuseppe Pierazzini          Pisa 05.09.05      *
 *   pierazzini@unipi.it                                                   * 
 *                                     F l y o                             *
 *   Epsi/NA48                                                             *
 ***************************************************************************/
#ifndef STDCROSSMAT_H
#define STDCROSSMAT_H

//using namespace std;

/**
Calcolo della matrice di crossing .. per lo studio del CUPS
	@author Giuseppe Pierazzini
*/
class CrossMat{
int dati;


struct Cross
{ int i,j,n;
  double dist;
  Cross *next;  
 };
// Elem[] punta al primo elemento Cross che contiene gli indici di generazione
// il numero delle volte incrementato
// gli altri cross contengono gli stessi parametri di ricostruzione...Vedi CrossAdd
Cross *Elem[3528];

public:
    CrossMat();
    ~CrossMat();

double CrossAdd(float,float,float,float);
void CrossPrint();
void CrossList(const  char *);

};


#endif

