/***************************************************************************
 *   Copyright (C) 2005 by Giuseppe Pierazzini          Pisa 20.02.05      *
 *   pierazzini@unipi.it                                                   *
 *                                     F l y o                             *
 *   Epsi/NA48                                                             *
 ***************************************************************************/
#include "flyoh.h"

/**
 <br> Beam monitor utilizzato in nA48 <br> 
 */
Devkabes::Devkabes()
		: DevCln()
{devtype=TypDevKbs;
 devclass="Kabes_Cl";
}

Devkabes::~Devkabes()
{
}

void Devkabes::Prgeom()
{
	Gout<<"==================  R i v e l a t o r e =================";
	Gout<<"\n --> < "<<nome <<" >  [ "<<fun
	<<" ]  Beam wire Chamer  <==> Cilindrica ";
	Device::Prgeom();

}
//=======-----------------------------------
void Devkabes::DataSmear()
{
// opera solo sulle variabili di tipo (2)
	int i=0;
  
	while ( i<=nhit )
	{
		x=M_Hits[i].Xdev.x;
		y=M_Hits[i].Xdev.y;
// errori in cm micron !!!!
		M_Hits[i].Xdev.x =Pgauss ( 0.012,x );
		M_Hits[i].Xdev.y =Pgauss ( 0.012,y );
		M_Hits[i].Xlab=Devc2Lab ( M_Hits[i].Xdev );
		i++;
	}
}
