/***************************************************************************
                          devmwc.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devmwc.h"
#include "particella.h"

//using namespace std;

DevMwc::DevMwc()
{
    devtype=TypDevMwc;
    devclass=" MW_OtCl ";
  
    Gout<<"\n\n < "<<nome <<" > Dev Id "<<idev<<" Device type <"<<devclass<<"> typ "<<devtype;
    
}

void DevMwc::Prgeom()
{
	Gout<<"==================  R i v e l a t o r e =================";
	Gout<<"\n --> < "<<nome <<" >  [ "<<fun
	<<" ]  Wire Chamer  == Ootagonale con buco cilindrico ";
	Device::Prgeom();

}
//=======-----------------------------------
void DevMwc::DataSmear()
{
//  calcolo degli errori
// Opera sulle variabili di tipo (2)
// vedi Device::Fill_Xdevhit()
	int i=0;
	double norma;
	sepm=120.;
	while ( i<=nhit )
	{
		x=M_Hits[i].Xdev.x;
		y=M_Hits[i].Xdev.y;

// errori di 120 micron.
		xc=M_Hits[i].Xdev.x=Pgauss ( 0.012,x );
		yc=M_Hits[i].Xdev.y=Pgauss ( 0.012,y );
		M_Hits[i].Xlab=Devc2Lab ( M_Hits[i].Xdev );

//---------------------------------------
		/*  e il tempo? se si vuole attivare con errore fare qualche cosa di simile
		    tm_visto[i]=tm_visto[i] + errore
		*/
// per analisi?
		norma=xc*xc+yc*yc;
// distanza minima dal centro
		if ( norma<sepm ) sepm=norma;

		i++;
	}
}
