/***************************************************************************
 *   Copyright (C) 2009 by giuseppe Pierazzini                                      *
 *   giuseppe@pierazzini.it                                                               *
 *                                                                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                  *
 *                                                                         *
 *  Dipartimento di Fisica  E.Fermi / INFN Pisa Italy                      *
 ***************************************************************************/
#ifndef DEVLAV_H
#define DEVLAV_H

#include <devcrn.h>

//using namespace std;

/**
	@author giuseppe Pierazzini <giuseppe@pierazzini.it>
*/

class DevLav : public DevCrn
{

public:
    DevLav();

    ~DevLav();
    virtual int SimulaDev();
    int Eff_Neutron( const char *,qvet );
     virtual int Get_Structinfo();
 
    
};

#if defined(MAIN)
DevLav *anti[12]={0,0,0,0,0,0,0,0,0,0,0,0};
#else
extern DevLav *anti[12];

#endif


#endif
