/***************************************************************************
                          tempo.h  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef TEMPO_H
#define TEMPO_H


/**
Time definitions
Burstlength , event_time,.....
  *@author Giuseppe Pierazzini
  */


//-------------     
//     Classe          Tempo
class Tempo
{
//   tempi dati in nanosecondi...
  double Tblgt,Tnow,Tmed;
  int Nburst;
  
  public:
  double TotTime;
  double dt_dif,t_beam,t_trig, t_begfid,t_write;
  
  
  int Icalls;
  Tempo();
	~Tempo();
  void Set_Tburst(double tt) {Tblgt=tt;}
  void Set_Tempo( double tt) {Tnow=tt;}
  void Set_Tmed( double tt) { Tmed=tt;}
  double Get_Tempo(){return Tnow;}
  double Get_Tmed(){return Tmed;}
  double Get_Tdif(){return dt_dif;}
  double Get_Tburst(){return Tblgt;}
 
// restituisce il tempo tra una chiamata e l'altra...  
  double Get_dt_beam(){double dt=Tnow-t_beam;t_beam=Tnow;return dt;}
  double Get_dt_trig(){double dt=Tnow-t_trig;t_trig=Tnow;return dt;}
  double Get_dt_begfid(){double dt=Tnow-t_begfid;t_begfid=Tnow;return dt;}
  double Get_dt_write(){double dt=Tnow-t_write;t_write=Tnow;return dt;}
   
  
 // void Reset_Tlast(){tlast=0.0;}
  double Get_ProdTempo();
  void PrintTempo();
  int  Get_Nburst(){return Nburst;}

};

#if defined(MAINFLYO)
Tempo *TBurst;
time_t tck,clockstart, clockend,clocklast;
double Tpipe=1., Tdead=0.0;
#endif

#if !defined(MAINFLYO)
extern Tempo *TBurst;
extern time_t tck,clockstart, clockend,clocklast;
extern double Tpipe, Tdead;
#endif
#endif
