/***************************************************************************
                          partfase.cpp  -  description
                             -------------------
    begin                : Mon Dec 25 2000
    copyright            : (C) 2000 by Giuseppe M Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************/
#include <parm.h>
#include <matrice.h>
#include <particella.h>

using namespace GmpConst;

/**
Classe base per derivare le classi per il calcolo dell'elemento di matrice dei decadimenti.
La procedura valuta l'elemento di matrice in base ai valori cinematici. Il valore ottenuto 
è combinato con lo spazio delle fasi per accettare il decadimento.
@author Giuseppe Pierazzini
*/

Matrice::Matrice ()
{
  
 nome="base";
 
 
 //chaining 
 if(MtxFirst==0) MtxFirst=this;
 if(MtxLast!=0 ) {up=MtxLast; up->next=this;}
 next=0;
 MtxLast=this; 
}

double Matrice::M_Valore()
{
  return 1.;
  
}

