/***************************************************************************
                             -------------------
    copyright            : (C) 2012 by Giuseppe m Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************
 *                                                                         *
 *   NA48/NA62  titles for simulation program.                                  *
 *                                                                         *
 ***************************************************************************/
// Pisa  Settembre 2012
//------------------------------------------------------------
//      classe          P a r t i c e l l a

#ifndef PIP0EE_H
#define PIP0EE_H
#include "particella.h"
#include <partfase.h>
#include <matrice.h>

/**
Class Pip0ee:  calcolo dell'emento di matrice per il decadimento  K->p+ p0 e+ e- 
@author Giuseppe Pierazzini
*/

class Pip0ee:public  Matrice
{
  double norma_integral;
  Partres4 *pdec;
public:
  
 Pip0ee(Particella *pr);
 ~Pip0ee(){};
  double M_Valore();
  double M_ValoreMax();  
  void Get_FaseMass(); 
  void Check_Lista();
};

#endif
