/***************************************************************************
                             -------------------
    begin                : Sun Nov 26 2000
    copyright            : (C) 2000 by Giuseppe m Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************
 *                                                                         *
 *   NA62  titles for simulation program.                                  *
 *                                                                         *
 ***************************************************************************/
// Pisa  12.11.2011
//------------------------------------------------------------
//      classe          P a r t i c e l l a

#ifndef PVVMTX_H
#define PVVMTX_H
#include <particella.h>
#include <partfase.h>
#include <matrice.h>
/**
Class Pvvmtx: elemento di matrice per il decadimento  K-> pip nu nu
@author Giuseppe Pierazzini
*/

class Pvvmtx:public  Matrice
{

    double mas_pip,mas_kp;
    double masq_pip,masq_kp;

    PartFase *pdec;
public:

    Pvvmtx ( Particella *pr );
    ~Pvvmtx() {};
    double M_Valore();
    double M_ValoreMax();
    void Get_FaseMass();
    void Check_Lista();
};

#endif
