/***************************************************************************
                          partres4.h  -  description
                             -------------------
    begin                : Mon Jun 18 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef PARTRES4_H
#define PARTRES4_H
#include <partfase.h>
/**
 Four bodies decay.
  *@author Giuseppe Pierazzini
  */
class Partres4 : public PartFase
{

public:
    Partres4();
    virtual ~Partres4() {};
        
//    double mres12,mresq12,eres12,pstar12,estar12,cst12,fistar12;
    double mres34,mresq34,eres34,pstar34,estar34,cst34,fistar34;   
//    double mmin12,mmax12,mminq12,mmaxq12,dmq12;// three bodies
    double mmin34,mmax34,mminq34,mmaxq34,dmq34;// four bodies
    double norma34;
    
    void  Get_PhaseSpace();
    void  Get_PhaseParm();
    void DecParm();
    virtual int   Define_CMvalues(int );
  
};

#endif
