/***************************************************************************
 *   Copyright (C) 2009 by giuseppe Pierazzini                             *   
 *                                                                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                  *
 *                                                                         *
 *  Dipartimento di Fisica  E.Fermi / INFN Pisa Italy                      *
 ***************************************************************************/

#ifndef FASEMAX_H
#define FASEMAX_H

/**
	@author giuseppe Pierazzini 
	<br>
Questa procedura memorizza il valore massimo del peso per il decadimento di una particella in una o
	cinque particelle.
*/



class FaseMax
{
   
    private:
     int id;
     int p0,p1,p2,p3,p4,p5;  //vale fino a decadimenti di 5 particelle
     double Wmax;
  public:
    FaseMax  *up,*next;
    FaseMax (int *p,double wfx);
    ~FaseMax(){};
    double Get_Wmax( int *p);
    void  Set_Wmax( int *p,double wfx);

    void Info();



};


#endif
#if defined(FASE)
FaseMax *Fasemx=0;
#endif
#if !defined(FASE)
extern FaseMax *Fasemx;
#endif
