/***************************************************************************
   *    nemo test  10.06.2012
  ***************************************************************************/

#ifndef GFITTA_H
#define GFITTA_H



#include "gmatrix.h"
#include "gvet.h"

using namespace std;

class   Gfitta
{



 private:
   
    double Derstepx; // per calcolo deriate numeriche su X
    double Derstepx2;
    double Derstepy; // per calcolo deriate numeriche su Y
    double Derstepy2;




public:  
    double l0,l1,l2;
    double Vprecis;  // per test sui vincoli
    int iter;
    int ny,nv,nx;
    int nvec;
    
    // matrici
    float *peso;
    gmatrix Y,YM,  X;
    gmatrix F, AF,BF;
    gmatrix R;

//definizioni

    Gfitta();
    ~Gfitta() {};
    void Set_dim(int,int,int,int );

    virtual gmatrix Fvincoli(int);// User routine;
    virtual gmatrix AFderiva();
    virtual gmatrix BFderiva();
    double Fitting();
// caso particolare per il calcolo autovettori (3X3)
    virtual gvet Autovalore(gvet *Xp);



};





#endif
