***  Beam optics per k+-> e nu g  beatch file del 26.03.2007
***  REVISONE GmP/SGal del 30.09.2010 
***  Standard beam optics  for K+-

*****************  A p p a r a t o  *************
******   first Acromat    ***********************

device   magnete
nome     Mtr06
**writeout
flags    magn
detect   mum
detect   mup
detect   char        noreg
materiali Fe      null
centro   0.0        0.0        570.
field    13225.5    0.0        0.0
sizein   100.       100.       180.
sizeout  100.       100.       180.
end

device   magnete
nome     Mtr10
**writeout
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0        990.
field   -13225.5    0.0        0.0
sizein   100.       100.       180.
sizeout  100.       100.       180.
end

device   ytax         // Collimanotore superiore  centro buco 8
nome     Tax17
**writeout275.0
flags    dump
detect   mum
detect   mup
detect   all     cdump
materiali Fe   null
centro   0.0       50.0      1281.75
sizeout  100.      55.0       80.75
centrin  0.0      -42.       0.0     // centro 50-42=8.
sizein   0.5    0.15        80.75
end


device   ytax
nome     Tax18                              // collimatore inferiore centrobuco a -8
**writeout
flags    dump
detect   mum
detect   mup
detect   all     cdump
materiali   Fe null
centro   0.0      -50.0    1444.25
sizeout  100.      55.0     80.75
centrin   0.0      42.     0.0          // centro -50+42=-8.
sizein    0.5    0.15     80.75
end

device   magnete
nome     Mtr18
**writeout
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0       1740.
field   -13225.5    0.0        0.0
sizein   100.       100.       180.
sizeout  100.       100.       180.
end

device   magnete
nome     Mtr22
**writeout
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0      2160.
field    13225.5    0.0        0.0
sizein   100.       100.      180.
sizeout  100.       100.      180.
end
*****************************

device  corona
nome     Cld24
**writeout
flags    dump
detect   mum
detect   mup
detect   pip    cdump
detect   pim    cdump
detect   Kp     cdump
detect   Km     cdump
detect   all    cdump
materiali Fe      null
centro   0.0   0.0     2460.5   *** e' a 24.6 metri dalla targetta
rin      0.89   0.0     60.    *** defining collimator
rout     100.  0.0       60.
end


device  corona
nome     Cld26
**writeout
flags    dump
detect   mum
detect   mup
detect   pip    cdump
detect   pim    cdump
detect   Kp     cdump
detect   Km     cdump
detect   all    cdump
materiali Fe      null
centro   0.0   0.0     2627.5   *** e' a 26 metri dalla targetta
rin      0.48   0.0     60.    *** defining collimator
rout     100.  0.0       60.
end



*** focusing quadrupoles ------------
device   quadrupole
nome     QFS1A
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   Kp
detect   char       
materiali Fe      null
centro   0.0        0.0      3872.
vfield   -1642.2    1.0
sizein   10.        10.       40.
sizeout  30.       30.       40.
end

device   quadrupole
nome     QFS2A
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   Kp
detect   char       cdump
materiali Fe      null
centro   0.0        0.0      4082.
vfield   2075.19    1.0
sizein   10.       10.       74.5
sizeout  30.       30.       74.5
end

device   quadrupole
nome     QTS2B
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   char       cdump
materiali Fe      null
centro   0.0        0.0      4382.
vfield   -2075.19    1.0
sizein   10.       10.       74.5
sizeout  30.       30.       74.5
end

device   quadrupole
nome     QTS1B
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   char       cdump
materiali Fe      null
centro   0.0        0.0      4592.
vfield   1642.2     1.0 
sizein   10.       10.       40.
sizeout  30.       30.       40.
end
*** focusing quadrupoles ------------

********   secondo Acromat *****************
device   magnete
nome     Mcv48
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0       4817.
field    8343.5     0.0        0.0
sizein   100.       100.       125.
sizeout  100.       100.       125.
end

device   magnete
nome     Mcv52
**writeout
**escludi
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0       5242.
field   -8343.5     0.0        0.0
sizein   100.       100.       125.
sizeout  100.       100.       125.
end

**************** central dump ****
device  cilindro
nome     Cld54
**writeout
flags    dump
detect   mum
detect   mup
detect   pip    cdump
detect   pim    cdump
detect   Kp     cdump
detect   Km     cdump
detect   all    cdump
materiali Fe  null
centro   0.0        0.0     5464.5
rout      2.0  0.0       50.
end
***---------

device   magnete
nome     Mcv58
**writeout
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0      5775.5
field   -8343.5     0.0        0.0
sizein   100.       100.       125.
sizeout  100.       100.       125.
end

device   magnete
nome     Mcv62
**writeout
flags    magn
detect   mum
detect   mup
detect   char       noreg
materiali Fe      null
centro   0.0        0.0      6200.5
field    8343.5     0.0        0.0
sizein   100.       100.      125.
sizeout  100.       100.      125.
end
**** scrapers??????????????
*****************  End beam optics  *******************
end_all
end

