/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef ANAKLAMBDA_H
#define ANAKLAMBDA_H

#include <analisi.h>

using namespace std;

/**
 Lambda-> protone pim
  *@author gmp
  */

class AnaKlambda : public Analisi  {

public: 
    AnaKlambda();
   ~AnaKlambda();
   int Fisica();
   void print_scale();
   
  gvet Versk;    
  gvet vlam;
  double mas_lambda,mas_protone,mas_pim;
  qvet Pprot,Ppim,Plam;
  
  //attenzione all'ordine (outnt.cpp)
  int np;
  float charge;
  float pxlam,pylam,pzlam,momlam,elam, masqlam;
  float pxpim,pypim,pzpim,mompim,epim;
  float pxprt,pyprt,pzprt,momprt,eprt;
  float xlam,ylam,zlam;
  float dlam; //coordinate del vertice ricostruito e minima distanza (cda) tra le due tracce
};

#endif
