/***************************************************************************
                          anak2pi.cpp  -  description
   GMP 27-11-2010

  ***************************************************************************/
// #define MIN(x,y,z) ((x)<(y)?(x)<(z)?(x):(z):(y)<(z)?(y):(z))

#include "flyoh.h"
#include "anakpip0dlz.h"
using namespace std;
int Anadebug=0;
//-------------------------------------------------------------
//-------------------------------------------------------------

AnaKpip0dlz::AnaKpip0dlz()
{
    tipo=32;
    nfit=2;
    titol="K--> pi pi0 -> gam dlz";
    nome="Kpip0dlz";
    ntrk=good=0;
    mas_pip=ptr_Pip->Get_Massa();
    mas_Kp=ptr_Kapp->Get_Massa();
    mas_pi0=ptr_Pi0->Get_Massa();
    mas_ele=ptr_Elec->Get_Massa();
    Gout<<"\n Attivato il fit di "<<titol;
    Pk_ric=new GigaBeam();
    getta_hitcal=getta_dist=getta_ele=getta_elep=getta_gam=getta_pip=0;



}

AnaKpip0dlz::~AnaKpip0dlz() {};

//=============== C h a r g e  2 pions    F i t ========

int AnaKpip0dlz::Fisica()
{

    // analisi  K0 -> pic pi0 -> gam e- e+

    if (Eventi_Generati<-1000) Anadebug=1;
    else Anadebug=0;


    count_call++;
    good=0;;
    chiq_vert=xvtx=yvtx=zvtx=0.0;
    momk=pxkp=pykp=pzkp=0.0;

//*****************************************
//*****************************************
//*****************************************

    count_decay++;


    if (Trkstraw==0) {
        cout<<"\n Tracce non attivato!!! exit "<<endl;
        exit(0);
    }
    if ( Trkstraw->ntrk_done!=3)   // vedere meglio.......
    {
        getta_trk++;
        good=-1;
        return -1;
    }


// get tracks pointers and charge test
    Track Trcc[3];

    Trcc[0]=Trkstraw->Traccia[0];
    Trcc[1]=Trkstraw->Traccia[1];
    Trcc[2]=Trkstraw->Traccia[2];
 //   if ((Trcc[0].charge+Trcc[1].charge+Trcc[2].charge) != 1)
      
    if( Trkstraw->charge_all!=1) 
    {// wrong charge!!!!
        getta_char++;
        good=-2;
        return -2;
    }



//gigatrack info
    gvet Pk_mom;
    qvet  Pkin;
    // ricavo l'impulso del K dal gigatrak
    Pk_mom=Pk_ric->Beam_Rec();   // impulso del beam dal gigatrack
    Pkin.setvn ( Pk_mom,mas_Kp ); // definizione del quadrimomento
    Pkin.putvn( pxkp,pykp,pzkp,momk );  // salvo per root
//    xg3=Pk_ric->xg3; //per root
//    yg3=Pk_ric->yg3; //per root

// calcolo del vertice: si usa la struttura Vtxstruct. Vedi analisi.h
    Vtxstruct Xdecay(4);
    Xdecay.P[3].setvn(Pk_ric->xg3,Pk_ric->yg3,10240.); // beam at G3 (0.,0.,10240.);
    Xdecay.V[3]=Pkin.NVerso();       //  versore del beam...
    for (int i=0;i<3;i++)
    {
        Xdecay.P[i]=Trcc[i].Xmg; // coordinate della traccia al centro del magnete
        Xdecay.V[i]=Trcc[i].P_in.NVerso(); // versore della traccia prima del magnete
    }
//
//  GET  VERTICE     
    Xdecay.Vertice();
    
    
    
    chiq_vert=Xdecay.chiq;
    Xdecay.Vtx.putv( xvtx,yvtx,zvtx );
    Xdecay.Vtx.Norma();



    if (lkry->mhit==4&& chiq_vert>10000.)
    {
        Xdecay.Vtx.print("vtx");
        Gout<<" chiq  "<<setw(8)<< chiq_vert
        <<" zv "<<setw(8)<<evento_.Gen.zv<< " mhit "<<setw(4)<<lkry->mhit <<"  Ev "<<Eventi_Generati;
        
                
    }


    if (chiq_vert>200.)
    {// wrong fit!!!!
        getta_fit++;
        good=-3;
        return -3;
    }


    if (lkry->mhit!=4)
    {// not enough hits in lkr
        getta_hitcal++;
        good=-4;
        return -4;
    }




    for (int i=0;i<lkry->mhit-1;i++)
        for (int j=i+1;j<lkry->mhit;j++)
        {
            gvet X1=lkry->M_Hits[i].Xlab - lkry->M_Hits[j].Xlab;
            if (X1.XYNorma()<3.5) {
                getta_dist++;
                good=-5;
                return -5;
            }
        }


    if (Anadebug==1) Gout<<"\n Ev2 "<<setw(8)<<Eventi_Generati<< " Mid "<<setw(8)<< lkry->M_Hits[0].idm
        << " "<<setw(8)<< lkry->M_Hits[1].idm<< " "<<setw(8)<< lkry->M_Hits[2].idm
        << " "<<setw(8)<< lkry->M_Hits[3].idm;

// riconoscimento delle tracce pip, elec, elep

    Bufdev *Hitgam=0;
    Track *Trpip=0,*Trelec=0,*Trelep=0;
    int soletta=0;
    for (int i=0;i<lkry->mhit;i++) //ciclo hit Lkr
    {
        soletta=0;
        gvet Xl0=lkry->M_Hits[i].Xlab; //coordinate hit nel Lkr
        for (int j=0;j<3;j++) //ciclo tracce ricostruite
        {
            gvet Xdl0= Xl0-Trcc[j].Xlkr; //differenza tra posizione hit Lkr e proiezione traccia
            if ( Xdl0.XYNorma()<3.5)
            {
                if (lkry->me[i]/Trcc[j].P_in.mom<.85)
                {
                    Trpip=&Trcc[j];
                    soletta=1;
                }
                else if (lkry->me[i]/Trcc[j].P_in.mom>.95)
                {
                    if (Trcc[j].charge==1)
                    {
                        Trelep=&Trcc[j];
                        soletta=2;
                    }
                    else if (Trcc[j].charge==-1)
                    {
                        Trelec=&Trcc[j];
                        soletta=3;
                    }
                }
            }
        }
        if (soletta==0) Hitgam=&lkry->M_Hits[i];  // allora l'hit è un gamma


    }
// test di accoppiamento fatto
    if (Hitgam==0) {
        getta_gam++;
        good=-6;
        return -6;
    }
    if (Trpip==0) {
        getta_pip++;
        good=-7;
        return -7;
    }
    if (Trelec==0) {
        getta_ele++;
        good=-8;
        return -8;
    }
    if (Trelep==0) {
        getta_elep++;
        good=-9;
        return -9;
    }


// test sulla energia e posizione del gamma....
    double E_gamma = Hitgam->e_rivela;
    double r_gamma = Hitgam->Xlab.XYNorma();

    if (E_gamma<3 || E_gamma>75)
    {    good=-10; return -10;}
    if (r_gamma<15 || r_gamma>116)
    {good=-11; return -11; }

//quadrimpulsi particelle

    qvet Pkmis, Ppi0, Ppic, Pelec, Pelep, Pgam;
    qvet Ppartic[4];

    gvet pg,cog, X_estrap[4], verso_pic, verso_elec, verso_elep;

    pg = ((Hitgam->Xlab - Xdecay.Vtx).NVerso())*E_gamma; 
    Ppic.setvn(Trpip->P_in,mas_pip);
    Pelec.setvn(Trelec->P_in,mas_ele);
    Pelep.setvn(Trelep->P_in,mas_ele);
    Pgam.setvn(pg,0.);
    Ppi0 = Pgam + Pelec + Pelep;
    Pkmis = Ppic + Ppi0;

    verso_pic = Ppic.Verso();
    verso_elec = Pelec.Verso();
    verso_elep = Pelep.Verso();

    //ricostruisco la massa del pi0
    mpi0 = Ppi0.Invar();
    //somma degli impulsi
    som_impulsi = (Ppic+Pelep+Pelec+Pgam).Norma();

    //centro di gravità

    Ppartic[0] = Ppic;
    Ppartic[1] = Pelec;
    Ppartic[2] = Pelep;
    Ppartic[3] = Pgam;

    float deltaz = 0.;
    deltaz = Hitgam->Xlab.z - Trpip->Xmg.z;

    X_estrap[0] = Trpip->Xmg  +  verso_pic *( deltaz / verso_pic.z);
    X_estrap[1] = Trelec->Xmg + verso_elec *( deltaz / verso_elec.z);
    X_estrap[2] = Trelep->Xmg + verso_elep *( deltaz / verso_elep.z);
    X_estrap[3] = Hitgam->Xlab;

    for (int i=0;i<4;i++)
        cog += X_estrap[i] * Ppartic[i].mom;
    cog /= som_impulsi;
    cox = cog.x;
    coy = cog.y;
    cogq = cog.XYNorma();

    //massa invariante del dileptone  ok
    qvet dlep;
    dlep = Pelec+Pelep;
    mmee = dlep.Invar();
    mmqee= dlep.mq;

    //massa del k
    mk = Pkmis.Invar();

    count_wnt++;
    good=1;


    return 1;

}

//======================================================================================


//----------------------------------------------------
void AnaKpip0dlz::print_scale()
{

    Gout<<"\n -----> "<<titol<<"   Analysis Summary. <-------\n";
    Gout<<"\n Fit entries          "<<count_call;
    Gout<<"\n no tracks            "<<getta_trk;
    Gout<<"\n Wrong charge         "<<getta_char;
    Gout<<"\n Wrong distance       "<<getta_dist;
    Gout<<"\n No pip               "<<getta_pip;
    Gout<<"\n No gam               "<<getta_gam;
    Gout<<"\n No elettroni         "<<getta_ele;
    Gout<<"\n No positroni         "<<getta_elep;
    Gout<<"\n No good vertex       "<<getta_fit;
    Gout<<"\n Not enough lkr hits  "<<getta_hitcal;
    Gout<<"\n Tracks-Lkr no match  "<<getta_gg;
    Gout<<"\n Good events          "<<count_wnt;

    cout<<"\n Good events          "<<count_wnt<<" done "<<count_call<<endl;
    Gout<<"\n\n ======>           d o n e     <============ ";
}
//-------------------------------------------
