/***************************************************************************
                          part_db.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/




// CP violation  program...... in Obj!!     Start il 23.6.92
//                              Data  Base  routine
//         Data_base classe
#include "parm.h"
#include "part_db.h"
#include "particella.h"
static Part_db *last_db = 0;
static int totpart_db = 0;
using namespace std;

//--------------------------------------------------------------
//             Particelle data base   Constructor
//--------------------------------------------------------------
// This roputine gets the input Data_Base by iteration!
Part_db::~Part_db () {};

//             Nome   vis   carica   massa    width    ctau(cm)
Part_db::Part_db (const char *ptrnome, int vis, int ch, double ms, double wd,double ct)
{
//   virtual particles....
    totpart_db++;
    id    = totpart_db;
//
    nome=ptrnome;
    see   = vis;
    charg = ch;
    massa = ms;
    width = wd;
    ctau  = ct;
    ncan=0;
    Canale=0;
//  linking
    if (last_db == 0) Matter= this;
    else              last_db->next = this;
    last_db = this;
    this->next = 0;	// end linking


}

//------------------------------------------------------------
//                  S h o w p a r t _ d b
//------------------------------------------------------------

void Part_db::
Show()
{

    Part_db *mp;
    mp = Matter;
    Gout<<"\n --------------------------------------------";
    Gout<<"\n     Part Data base      \n\n";
    Gout<<"  n. nome see cha    massa       width      ctau\n";
    while (mp != 0)
    {
        Gout<<setw(3)<<mp->id<<" "<<setw(7)<<mp->nome<<" "<<setw(3)<<(mp->see?"y":"n")
        <<setw(3)<<mp->charg<<" "<<setw(10)<<mp->massa<<" "<<setw(10)<<mp->width<<" "<<setw(10)<<mp->ctau<<endl;
        mp = mp->next;
    }
    Gout<<"\n    Part Data base      End list";
    Gout<<"\n --------------------------------------------"<<endl;

}
//------------------------------------------------------------
//                  G e t p a r t _ d b
//------------------------------------------------------------
Part_db *Part_db::
Get_matter ( const char *nom, Particella *pp)

{
    Part_db *mp;
    mp = Matter;
    while (mp != 0)
    {
        if (strcmp (nom, mp->nome) == 0)
        {
            pp->nome = mp->nome;
            pp->idm = mp->id;
            pp->see = mp->see;
            pp->charg = mp->charg;
            pp->massa = mp->massa;
            pp->width = mp->width;
            pp->ctau = mp->ctau;
            return mp;
        }
        mp = mp->next;
    }
    Gout<<"\n Get p a r t _ d b : Particella non trovata... errore\n"<<std::endl;
    return (0);
}

//------------------------------------------------------------
//                  N O T S E E N
//------------------------------------------------------------
void Part_db::
Notseen (const char *word)

{
    Part_db *mp;
    mp = Matter;
    while (mp != 0)
    {
        if (strcmp (word, mp->nome) == 0)
        {
            mp->see = 0;

            return;
        }
        mp = mp->next;
    }
    Gout<<"\n In Notseen: Particella " << word<<"  non trovata... errore\n"<<std::endl;
    exit (0);
}
//------------------------------------------------------------
//                  P T B S D A T
//------------------------------------------------------------
const char *Part_db::
Ptbsdat (const char *word)

{
    Part_db *mp;
    mp = Matter;
    while (mp != 0)
    {
        if (strcmp (word, mp->nome) == 0)
            return (mp->nome);
        mp = mp->next;
    }
    return (0);
}


const char *Part_db::
Idm_Nome (int idm)

{
    Part_db *mp;
    mp = Matter;
    while (mp != 0)
    {
        if (idm==mp->id)
            return (mp->nome);
        mp = mp->next;
    }
    return (0);
}






//------------------------------------------------------------
//                  P N T M A T T E R
//------------------------------------------------------------
Part_db * Part_db::
Pntmatter(const char *word)

{

//     string simbolo;
//     simbolo=word;
    Part_db *mp;
    mp = Matter;
    while (mp != 0)
    {
      if (strcmp (word, mp->nome) == 0)
//       if (simbolo==mp->nome)
            return mp;
        mp = mp->next;
    }
//  return mp;
    return ptr_boo;
}
