/***************************************************************************
                          devcrn.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devcrn.h"

using namespace std;

DevCrn::~DevCrn()
{
}
//==================  Corona=======erede di Cilindro
DevCrn::DevCrn()
{
    devtype=TypDevCrn;
    devclass="Corona";
    rin =Lin.y=Lin.x;
    Lin.Norma();
    rinq=rin*rin;
}

//----------------- --------
void DevCrn::Prgeom()
{
    Gout<<"==================  R i v e l a t o r e =================";
    Gout<<"\n --> < "<<nome <<" >  [ "<<fun
    <<" ]  Corona con rout "<<rout<<"  e rin "<<rin;
    Device::Prgeom();

}

//======================================================
//----------------- -----P o s i z i o n e ---
int DevCrn::Posizione()
{

    P_Cin=X_dev-Centrin;

    if ( DevCln::Posizione() >0 ) return 1;  //  il punto e' esterno
// verifico se è fuori dal buco
    if (       fabs(X_dev.z)>Lin.z) return 0;
    if (X_dev.XYNorma()>rin)return 0; //e' all'interno
    return -1;    // è nel buco....   // 0 se interno, 1 se ester


}
//----------------------C a m E s t e r --------------------
// usa quella di Cilindro  per eredita'
//===========================================================
//----------------------C a m I n t e r --------------------

double DevCrn::CamInter()
{
//uso quella di Cilindro per calcolare il cammino
// interno senza il buco...
    camm=DevCln::CamInter();
    double cammino =Cam_su_Cln(P_Cin,V_dev,Lin); //vado nel buco?
    if (cammino>0.0&&cammino<camm) camm=cammino;
    return camm;
}
//===========================================================
//--------------- C a m B u c o -----------------------------
double DevCrn::CamBuco()
{

    camm=Cam_da_Cln(P_Cin,V_dev,Lin);
    return camm;
}

