/***************************************************************************
                          devotcl.cpp  -  description
                             -------------------
    begin                : Sun Dec 7 2003
    copyright            : (C) 2003 by gmp
    email                : peppe@newpeppe
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devotcl.h"
#include "devrtcl.h"

DevOtCl::~DevOtCl()
{
}


//================== DevOtCl ======Erede di DevOt
DevOtCl::DevOtCl()
{
  devtype=TypDevOtCl;
  devclass="Ottg_Cili";
  rin = Lin[1]=Lin[0];
  Lin.Norma();
  rinq=rin*rin;
}

//----------------- --------
void DevOtCl::Prgeom()
{

  Gout<<"==================  R i v e l a t o r e =================";
  Gout<<"\n --> < "<<nome <<" >  [ "<<fun
  <<" ]  Ottagonale con buco cilindrico  "<<std::endl;
  Device::Prgeom();
  Gout<<std::endl;
}

//======================================================
//----------------- -----P o s i z i o n e ---
int DevOtCl::Posizione()
{
  // puo' essere interno o nel buco
  P_Cin=X_dev-Centrin;
 
  drinq= P_Cin[0]*P_Cin[0]+P_Cin[1]*P_Cin[1] ; 
  
  
  
  if ( DevOt::Posizione() >0 ) return 1;
 //  sono forse nel buco ...controllo meglio i limiti
  if  (fabs(P_Cin.z)>Lin.z||
       P_Cin.XYNorma()>rin) return 0;
  // ritorno -1  perche' nel buco
   return -1; 
}
//----------------------C a m E s t e r --------------------
// usa quella di DevOt  per eredita'
//===========================================================
//----------------------C a m I n t e r --------------------

double DevOtCl::CamInter()
{
     camm=DevOt::CamInter();
    //poi verifico se colpisce le pareti del buco ..
    double cammino=Cam_su_Cln(P_Cin,V_dev,Lin);
    if(cammino>0.0&&cammino<camm)camm=cammino;
    return camm;
 }
//===============================================================
//--------------- C a m B u c o ---------------------------------
double DevOtCl::CamBuco()
{
    camm=Cam_da_Cln(P_Cin,V_dev,Lin);
    return camm;
}

