/***************************************************************************
                          devrtcl.h  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef DEVRTCL_H
#define DEVRTCL_H

#include "devrt.h"

/**Parallelepipedo con buco cilindrico
  *@author Giuseppe Pierazzini
  */


class DevRtCl:public DevRt
// Parallepipedo con buco cilindrico interno
{
  protected:

    gvet  P_Cin;
  
  // dummy variables 
  double drinq,rin,rinq;
  double a,b,c,dltq,t,nv,z;
  public:
  DevRtCl();
//	~DevRTCl();
  virtual int Posizione();
  virtual double CamInter();
  virtual double CamBuco();
  virtual void  Prgeom();
};
#endif
