/***************************************************************************
                          devrtrt.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devrtrt.h"
#include "evento.h"
using namespace std;


DevRtRt::~DevRtRt() {
}
//=================DevRtRt==============================
//----------------- --------
void DevRtRt::Prgeom()
{
    Gout<<"==================  R i v e l a t o r e =================";
    Gout<<"\n --> < "<<nome <<" >  [ "<<fun
    <<" ]  Rettang. con buco rettang.";
    Device::Prgeom();
    Gout<<std::endl;
}
//======================================================
//----------------- -----P o s i z i o n e ---
int DevRtRt::Posizione()
{

    P_Cin=X_dev-Centrin;

    if ( DevRt::Posizione()>0) return 1; //  il punto e' esterno


    if     (fabs(P_Cin.x)>Lin.x||
            fabs(P_Cin.y)>Lin.y||
            fabs(P_Cin.z)>Lin.z) return 0;
    return -1;
}



//----------------------C a m I n t e r --------------------

double DevRtRt::CamInter()
{
//uso quella di DevRt per calcolare il cammino
// interno
   camm=DevRt::CamInter();
    //poi verifico se colpisce le pareti del buco ..
    double cammino=Cam_su_Rt(P_Cin,V_dev,Lin);
    if(cammino>0.0&&cammino<camm)camm=cammino;
    return camm;
}
//===============================================================
//--------------- C a m B u c o ---------------------------------
double DevRtRt::CamBuco()
{
  camm= Cam_da_Rt(P_Cin,V_dev,Lin);
    return camm;
}
