/***************************************************************************
                          DevSfera.h  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef DEVSFERA_H
#define DEVSFERA_H

#include "device.h"

/**
  Sfera: Volume sferico senza buco
  *@author Giuseppe Pierazzini
  */

class DevSfera:public Device
// Volume sferico senza buco
{
  protected:
 // gvet    Douts,Doutd;
  gvet P_Cin, Lcili; 
  double rout,routq,rin,rinq;
  double rbuco,rbucoq,zbucoin,zbucoout;
  
  public:
  DevSfera();
	~DevSfera();
  virtual int Posizione();
  virtual double CamEster();
  virtual double CamInter();
  virtual double CamBuco();
  virtual void  Prgeom();
  int Traccia ( Particella * ); 
};
#endif
