/***************************************************************************
                          devchod.cpp  -  description
                             -------------------
    begin                : Sat Jul 28 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "devchod.h"
#include "evento.h"
#include "triggerbox.h"

DevChod::DevChod()
{
	devtype=TypDevChod;
  devclass="Charged Anti";
Gout<<"\n\n < "<<nome <<" > Dev Id "<<idev<<" Device type <"<<devclass<<"> typ "<<devtype; 
}
DevChod::~DevChod()
{
}
//======================================================
//----------------- -----P o s i z i o n e ---
int DevChod::SimulaDev()
{
	
  // tutto da rifare secondo quanto si deciderà.....
  
  
  // operate on the dev_variable of type (2)
//  Verifico quale quadrante
//  e' stato toccato 
// escludo una banda ombra del buco, in x e y
	Q1=Q2=Q3=Q4=Qx=0;
	if ( mhit<1 ) return nhit;
	double rag=Lin[0];
	int ht=mhit;
	while ( ht>0 )
	{
		x= M_Hits[ht].Xdev.x;
		y= M_Hits[ht].Xdev.y;
		if ( x>-rag&&y>-rag ) Q1=1;
		if ( x>-rag&&y< rag ) Q2=1;
		if ( x< rag&&y< rag ) Q3=1;
		if ( x< rag&&y>-rag ) Q4=1;
		ht--;
	}

//simulazione segmentazione hodoscopio
    float hit_hodx,hit_hody;
    int scint_x[21];
    int scint_y[21];
    int nhodx=0, nhody=0;
    int barra_x=0, barra_y=0;
    
    
    if(hodox==0||hodoy==0) return nhit;

    // qui per gli odoscopi NA62
    nscintx=0;
    nscinty=0;

    nhodx = hodox->mhit;
    nhody = hodoy->mhit;


    for (int i=0;i<21;i++)
    {
        scint_x[i]=0;
        scint_y[i]=0;
    }

    for (int i=0; i<nhodx; i++)
    {
        hit_hodx = hodox->M_Hits[i].Xlab.x;
        barra_x = round(hit_hodx/20) + 10;
        scint_x[barra_x] = 1;
    }
       
    for (int i=0; i<nhody; i++)
    {
        hit_hody = hodoy->M_Hits[i].Xlab.y;
        barra_y = round(hit_hody/20) + 10;
        scint_y[barra_y] = 1;
    }

    for (int i=0;i<21;i++)
    {
        nscintx += scint_x[i];
        nscinty += scint_y[i];
    }

// Gout"\n Hodo %2d,%2d,%2d,%2d,%2d",Q1,Q2,Q3,Q4,Qx////;

	return nhit;
}
