/***************************************************************************
                          Devmare.h  -  description for nemo experiment
                                 Radiatore  Marino
                             -------------------
    begin                : giugtno 2012
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
 ***************************************************************************/

#ifndef DEVMARE_H
#define DEVMARE_H

#include "devrt.h"

/**Calorimetro adronico
  *@author Giuseppe Pierazzini
  */



struct Om_frame {


        int N_Om,N_Cluster,N_Tower,N_Towerx,N_Towery,N_PM;
        int Ntwx2;
        int Ntwy2;
        gvet  Om_Xpos[8];   // solo quelle di un clustert
        gvet  Om_Verso[8];  // verso di ogni Pm
        gvet  Om_Cluster[8]; // Centro dei cluste in altezza
        
        double dxtower,dytower,raggio,raggioq;

        gvet  *PM_Xpos;  // cordinate di ciascun PM  in una torre

        int nseen;
//
        Om_frame();
        int Om_urto ( gvet X,gvet V ,double tratto);
        void  PrintAll_Om();
};

///============================ DevMare ================
class DevMare:public DevRt
{
protected:
        
        Om_frame Array;

public:
        
        DevMare();
        ~DevMare();
        
        int Ncvk;
        int Nseen, OMhit[500],Icl[500],Ip[500];
        float effi[500],xseen[500],yseen[500],zseen[500],tp[500], peso[500];
        float mu_tratto,totpeso;
        virtual int SimulaDev();
        virtual int Get_Structinfo();
        virtual void  DataSmear();
        virtual void  Prgeom();
        double  Make_Cerenkov_light ( qvet Pin, gvet  Xin );
        };

#if defined(MAIN)
        DevMare *mare=0;

#else
        extern DevMare *mare;

#endif

#endif
