/***************************************************************************
                          gdevfis.cpp  -  description
                             -------------------
    begin                : Sun Nov 26 2000
    copyright            : (C) 2000 by Giuseppe m Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************
 *                                                                         *
 *   NA48  simulation program.                                             *
 *                                                                         *
 ***************************************************************************/


//
//      Fisica    Pisa 4- 11-2000  GmP
//
#define FISICA

#define APRI    0
#define RIEMPI  1
#define CHIUDI  2


#define NEUTRI  1
#define CARICHI 2
#define ALLCHR  3
#include "flyoh.h"
#include "flyoana.h"



//-------------------------------------------------------------
//                F i t s C o n t r o l
//-------------------------------------------------------------
void FitsControl(int caso)
{
    // caso 0 inizializza
    // caso 1 fits
    // caso 2 summary


    Analisi *ana;


    //  int ht,hts;
    int ko=0;
    string ipotesi="";
    switch (caso)
    {
    case APRI:

        //    fits
           for (int i=0;i<IpoNum+1;i++)
        {
            ipotesi=IpotesiAna[i];
            
            cout<<"\n  fitcntrl...."<<ipotesi<<endl;
            
            if ( ipotesi == "fascio")         Beamprt = new AnaBeam;   // tipo 30;
            else if ( ipotesi == "user")      Auser   = new AnaUser;   // tipo 0
            else if ( ipotesi == "k4g")       Ak4gam  = new AnaK4g;    // tipo 1
            else if ( ipotesi == "k6g")       Ak6gam  = new AnaK6g;    // tipo 2
            else if ( ipotesi == "k2p")       Ak2pi   = new AnaK2pi;   // tipo 3
            else if ( ipotesi == "k3p")       Ak3pi   = new AnaK3pi;   // tipo 4
            else if ( ipotesi == "kl2")       Akl2    = new AnaKl2;    // tipo 23
            else if ( ipotesi == "ke2g")      Ake2g  = new AnaKe2g;    // tipo 24
            else if ( ipotesi == "kpivv")     Akpivv  = new AnaKpivv;  // tipo 25
            else if ( ipotesi == "kmunu")     Akmunu = new AnaKmunu;  // tipo 29
            else if ( ipotesi == "kpip0")     Akpip0  = new AnaKpip0; // tipo 28
            else if ( ipotesi == "kpip0ee")   Akpip0ee  = new AnaKpip0ee; // tipo 31
            else if ( ipotesi == "kpip0dlz")  Akpip0dlz  = new AnaKpip0dlz; // tipo 32
            else if ( ipotesi == "kpip0p0dlz")Akpip0p0dlz  = new AnaKpip0p0dlz; // tipo 33
            else if ( ipotesi == "klambda")   Aklambda= new AnaKlambda; // tipo 27
            else if ( ipotesi == "kpovv")     Akpovv  = new AnaKpovv;  // tipo 26
            else if ( ipotesi == "kenug")     Akenug  = new AnaKenug;  // tipo 34
            else if ( ipotesi == "nemo")      ANemo  = new AnaNemo;  // tipo 34
            else  {
                Gout<<"\n ******  Hypothesis is not defined: "<<ipotesi<< " --> exit"<<endl;
                cout<<"\n ******  Hypothesis is not defined: "<<ipotesi<< " --> exit"<<endl;
                exit(0);
            }
        }
        break;

    case RIEMPI:

        // analizza i dati se richiesto
        ana=Primofit;
        FitDone=-10;
        while (ana != 0)
        {
            //       ana->Write_titol(); Gout<<"\n FisicaContrl    "<<endl;

            if (FitDone<(ko=ana->Fisica())) FitDone=ko;
            //     Gout<<"FitFlag "<<FitDone<<endl;

            ana=ana->next;
        }
        // still FitDone=-100  No fit requested
        // FitDone=ko;     // >= -1  bad fit ; 1 fit ok;
        // Gout<<"\n FitCtr "<<evento_.Event<<" FitDone="<<FitDone<<" WrtNt="<<WrtNt;
        break;

    case CHIUDI:

        ana=Primofit;
        while (ana != 0) {
            ana->print_scale();
            ana=ana->next;
        }

        break;
    default:
        break;
    }
}
