/***************************************************************************
                          tempo.cpp  -  description
                             -------------------
    begin                : Sat May 26 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/
#include "parm.h"
#include "tempo.h"
#include "evento.h"
 using namespace GmpConst;

// using namespace std;
//=========================== T e  m p o============
//   Genera il tempo dell'evento simulando il burst
//===================================================
 Tempo::Tempo()
    {
	  Nburst=0;
     Tblgt=2.4e+9;  // Durata default del burst in nsec
     Tnow=Tmed=dt_dif=TotTime=0.0;
     Icalls=0;  
     t_beam=t_trig=t_begfid=t_write=0.0;
    }
Tempo::~Tempo(){
}
  void Tempo::PrintTempo()
    { 
     Gout<<"\n Ev = "<<evento_.Gen.Event<<" Tnow = "<<Tnow;
    }
//-----------------------------------

  double Tempo::Get_ProdTempo()
   {
     Tnow+=dt_dif= -Tmed*log(Bran()+EPSI);
     if(Tnow >Tblgt){Nburst++; Tnow-=Tblgt; }  //struttura a burst
     TotTime+=dt_dif; // tempo totale senza struttura a burst...
     Icalls++;
     return Tnow;
   }
