/***************************************************************************
                             -------------------
    begin                : Sun Nov 26 2000
    copyright            : (C) 2000 by Giuseppe m Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************
 *                                                                         *
 *   NA62  titles for simulation program.                                  *
 *                                                                         *
 ***************************************************************************/
// Pisa  12.11.2011
//------------------------------------------------------------

#ifndef DALITZ_H
#define DALITZ_H
#include "particella.h"
#include "partfase.h"
#include "matrice.h"
/**
Classe Dalitz per il decadimento pi0 ->  e+ e- g
@author Giuseppe Pierazzini
*/

// Matrice di decadimento per pi0 ->  e+ e- g

class Dalitz:public  Matrice
{
double mass_e,mass_pi0; 
double norma_integral;
  PartFase *pdec;
public:
  
 Dalitz(Particella *pr);
 ~Dalitz(){};
  double M_Valore();
  double M_ValoreMax();
  void Get_FaseMass();
  void Check_Lista();
};

#endif
