/***************************************************************************
                             -------------------
    begin                : Sun Nov 26 2000
    copyright            : (C) 2000 by Giuseppe m Pierazzini
    email                : pierazzini@unipi.it
 ***************************************************************************
 *                                                                         *
 *   NA48  titles for simulation program.                                  *
 *                                                                         *
 ***************************************************************************/
// Pisa  12.11.2011
//------------------------------------------------------------
//      classe          P a r t i c e l l a

#ifndef PIPIPIM_H
#define PIPIPIM_H
#include <particella.h>
#include <partfase.h>
#include <matrice.h>

/**
Class Pipipim:  calcolo dell'emento di matrice per il decadimento  K->pi+ pi+ pi-
@author Giuseppe Pierazzini
*/

class Pipipim:public  Matrice
{

  PartFase *pdec;
public:
  
 Pipipim(Particella *pr);
 ~Pipipim(){};
  double M_Valore(); 
  double M_ValoreMax();
  void Get_FaseMass();
  void Check_Lista();
};

#endif
