/***************************************************************************
                          partres5  -  description
                             -------------------
    begin                : Sat Feb 26 2005
    copyright            : (C) 2005 by Giuseppe Pierazzini
    email                : peppe@peppix
 ***************************************************************************/
#ifndef PARTRES5_H
#define PARTRES5_H
#include <partfase.h>
/**
Five  bodies decay.
@author Giuseppe Pierazzini
*/

class Partres5 : public PartFase
{
// five bodies decay  k -> ev 3pi0 in phase space..
// the decay is  via the Res5 resonance 
// generated in the decay chain automatically...
public:
    Partres5();
    virtual ~Partres5(){};  
    
    double mres123,mresq123,eres123,pstar123,estar123,cst123,fistar123;
//    double mres12,mresq12,eres12,pstar12,estar12,cst12,fistar12;
    double mres45,mresq45,eres45,pstar45,estar45,cst45,fistar45;   
    double mmin123,mmax123,mminq123,mmaxq123,dmq123;// three bodies
//    double mmin12,mmax12,mminq12,mmaxq12,dmq12;
    double mmin45,mmax45,mminq45,mmaxq45,dmq45;    
    
  void  Get_PhaseSpace();
  void  Get_PhaseParm();
  void DecParm();   

};

#endif
