/***************************************************************************
 *   Copyright (C) 2005 by Giuseppe Pierazzini          Pisa 05.09.05      *
 *   pierazzini@unipi.it                                                   * 
 *                                     F l y o                             *
 *   Epsi/NA48                                                             *
 ***************************************************************************/

#ifndef REAKLD_H
#define REAKLD_H

#include <reazione.h>

/**decay
 Kl  beam production
@author GmP
*/
class ReaKld:public Reazione // dec K lungo
{
protected:
    double  ak[5];
public:
  
   ReaKld()
     { Gout<<"\n  Class ReaKld done.";
      ak[0]= 0.26638;      // correzioni Unal, .. ma occorrono????
      ak[1]= 0.39279E-02;
      ak[2]=-0.40162E-04;
      ak[3]= 0.11985E-06;
      ak[4]= 0.37;};
   ~ReaKld(){};

    
   virtual double Produci() ;
};

#endif
