/*
*   Copyright (C) 2005 by Giuseppe Pierazzini          Pisa 10.08.2011     *
 *   pierazzini@unipi.it                                                   * 
 *                                     F l y o                             *
 *                                                                         *   
*/

#include "flyoh.h"
using namespace GmpConst;

// === Ring : Centro di massa Invariante per reazioni ring

void ReaSinv::MaxSpettro()
{
  
  prodrate=rate;

  Gout<<"\n\n Ev/PPP "
  <<setprecision ( 7 ) <<fixed<<setw ( 13 ) << prodrate;

  Gout<<"\n ----------------------------------------\n";

  if ( next!=0 ) next->MaxSpettro();

   
};


//===================== R I N G    B E A M ============================
// risonanza cms con impulso trasverso di pochi gev...
//

int ReaSinv::
Get_Beam ()
{
    // se siamo qui si parte da una risonanza Sinvar di massa sqrt(S) che viene generata nell'urto ee o pp...
    

    
    double fi,ro;
  

    // punto targhetta...
    ro=rtarg * sqrt ( Bran() );
    fi= Bran() * DuePiGreco;
    Xtarg.setv ( ro*cos ( fi ), ro*sin ( fi ),dztarg* ( Bran() - 0.5 ) );
    Xtarg+=Ctarg;
   
    
    Vbeam.setvn(1.,0.,0.);
    ppb = Pgauss ( wpinc, Pinc.norma ); 
    double msinvar= inc_pinc;   

   // definire i tampi!!!!!!
    trasmessi++;

    //-----------------------------------------------------------------
    avo->X = Xtarg;
    Pbeam= Vbeam*ppb;
    avo->P.setvn ( Pbeam,msinvar ); // P quadrivettore impulso energia
    avo->Vers=Vbeam;
    avo->path_max=0.0;   //decade subito....
    avo->X2Gx();
    avo->P2Gp();
    avo->Set_Fato ( Nata,-1 );
    avo->Set_Nata();  //nata=1;
    
    return ( 1 );
}

