/***************************************************************************
                          devmbox.cpp  -  description
                             -------------------
    begin                : Tue Jul 31 2001
    copyright            : (C) 2001 by Giuseppe Pierazzini
    email                : peppe@unipi.it
  ***************************************************************************
  *                                                                         *
  *   NA48  simulation program.                                             *
  *                                                                         *
  ***************************************************************************/

#include "flyoh.h"
//#include "gvet.h"

//using namespace std;

TriggerBox::TriggerBox()
{
    Nlkr=Nhad=0;
    Gout<<"\n  TriggerBox done ";
}
TriggerBox::~TriggerBox()
{}
//--------------------------------------------

int  TriggerBox::Level0()
{
// commentare se si vogliono scrivere tutti gli eventi

    if (evento_.Gen.zv<10400.)return 0;
//     if (Eventi_Generati<5) {
//         cout<<"\n\n Trgbox: "<<Rivelatore[51]->Get_Nome();
//         cout<<"\n Trgbox: "<<Rivelatore[61]->Get_Nome();
//         cout<<"\n Trgbox: "<<Rivelatore[75]->Get_Nome();
//     }
//     if (Rivelatore[51]->mhit!=3) return 0; // sp1   //attenzione indice sempre da controllare??? se si aggiunge/toglie  un dev
//     if (Rivelatore[61]->mhit!=3) return 0; // sp2
//     if (Rivelatore[75]->mhit!=3) return 0; // sp3


    for (int kd=51;kd<76;kd++)
    {
        double dxyn=200.0;
        Device *dev=Rivelatore[kd];
        if (dev==0) continue;
        gvet XA,XD;

        int nh= dev->mhit;
        for (int i=0;i<nh;i++)
        {
            XA= dev->M_Hits[i].Xdev;
            for (int k=i+1;k<nh;k++) {
                XD=XA- dev->M_Hits[k].Xdev;
                double dd=XD.XYNorma();
                if (dd<dxyn)dxyn=dd;

            }
        }

        dev->dxynorma=dxyn;
    }

    return 1;
    /******************************************
      //taglio energia calorimetro
      DevLkr *lkr = (DevLkr *) lkry;
      float ener_lkr = lkr->epad44;

      if(ener_lkr<35)return 0;

    //simulazione segmentazione hodoscopio e taglio nel numero di delle due viste composte
      float hit_hodx,hit_hody;
      int scint_x[21];
      int scint_y[21];
      int nhodx=0, nhody=0;
      int nscintx=0, nscinty=0;
      int barrax=0, barray=0;

      nhodx = hodox->mhit;
      nhody = hodoy->mhit;


      for (int i=0;i<21;i++)
      {
          scint_x[i]=0;
          scint_y[i]=0;
      }

      for (int i=0; i<nhodx; i++)
      {
          hit_hodx = hodox->M_Hits[i].Xlab.x;
          barrax = round(hit_hodx/20) + 10;
          scint_x[barrax] = 1;
      }
      for (int i=0; i<nhody; i++)
      {
          hit_hody = hodoy->M_Hits[i].Xlab.y;
          barray = round(hit_hody/20) + 10;
          scint_y[barray] = 1;
      }

      for (int i=0;i<21;i++)
      {
          nscintx += scint_x[i];
          nscinty += scint_y[i];
      }

      if (nscinty<3 && nscintx<3)return 0;

      //taglio veti
      int n_anti=0;

      for (int i=0;i<12;i++)
      {
          n_anti += anti[i]->mhit;
      }
      n_anti += ircdev->mhit;
      n_anti += sacdev->mhit;

      if (n_anti!=0)return 0;

      int n_muv;
      n_muv = muvet3->mhit;

      if (n_muv!=0)return 0;

      return 1;
      ***************************/
}





